<%@ page language="java" import="java.util.*,com.ibm.ut.common.*,com.ibm.ut.common.web.LocaleUtil, com.ibm.ut.common.security.*, com.ibm.ut.commenter.*, javax.servlet.http.*, org.eclipse.core.runtime.Preferences;" contentType="text/html;UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<%
	String query = request.getQueryString();
	Locale locale = LocaleUtil.getLocale(request);
%>
<html>
    <head>
        <link rel="stylesheet" type="text/css" href="../dojotoolkit/dijit/themes/tundra/tundra.css" />
        <link rel="STYLESHEET" type="text/css" href="../topic/com.ibm.ut.common/css/utcommon.css" />
        <script type="text/javascript" src="../dojotoolkit/dojo/dojo.js" djConfig="parseOnLoad:true"></script>
        <script type="text/javascript" src="../topic/com.ibm.ut.common/scripts/utcommon.js"></script>        
        <style type="text/css">
        
            @import "../dojotoolkit/dojo/resources/dojo.css";
            @import "../dojotoolkitext/ibm/themes/jazz/jazz.css";
            @import "css/customStyles.css";
            			li{
				list-style :none
			} 
			
            label {
                float: left;
                margin-top: 5px
            }
            
//            input, select {
 //               float: right;
  //              margin-top: 5px
   //         }
            
            form {
                width: 300px;
                height: 400px;
            } #passwordform {
                margin-left: 30%
            }
        </style>
        <script type="text/javascript">
            dojo.require("dijit.TitlePane");
            dojo.require("dijit.form.Select");

			function Comment(){
				this.name='';
				this.time='';
			}
	
			var hold = false;
			var comment = new Comment();
	
            dojo.addOnLoad(function(){

            });            
            
            function addComment()
            {
            	var ta = document.getElementById('commentEditArea');
            	
            	var commentXML = "<comment><name>"+comment.name+"</name><time>"+comment.time+"</time><description>"+encodeHTML(ta.value)+"</description></comment>";
				
				dojo.xhrPost({
					url: '../com.ibm.ut.commenter.CommentServlet',
					handleAs: "text",
					content: {
						comment:commentXML,
						topic:'<%=request.getParameter("topic")%>'
					},
					load: function(data, ioArgs) {
						window.location.reload();
					},
					error: function(data, ioArgs) {
						return;
					}
				});	  
            }
            
            function addEditableComment(name)
            {
            	var date = new Date();
            	var time = (date.getMonth()+1)+"-"+date.getDate()+"-"+date.getFullYear()+" "+date.getHours()+":"+date.getMinutes()+":"+date.getSeconds();
            	var table = document.getElementById('commentsTable');
            	var row = table.insertRow(table.rows.length);
            	var cell = row.insertCell(0);
            	var tp = new dijit.TitlePane({
		            title: (table.rows.length-1)+".  "+name+"  "+time,
		            content: '<textarea id="commentEditArea" rows="4" style="width:98%;"></textarea>',
		            jsId: 'commentEditPane'
            	});
            	tp.id='commentEditPane';
            	cell.appendChild(tp.domNode);
            	
            	
            	var link = document.getElementById('addCommentLink');
            	link.href='javascript:void()';
            	link.style.color='gray';
            	
            	var save = document.getElementById('saveComment');
            	save.disabled = false;
            	
            	comment.name = name;
            	comment.time = time;
            }
            
            function logIn()
            {
            	var loginDiv = document.getElementById('logInDiv');
            	loginDiv.style.display='block';	
            	var logInForm = document.getElementById('logInForm');
            	logInForm.style.display='block';	
            	
            	var logInLink = document.getElementById('logInLink');
            	logInLink.style.display='none';
            }
            
        </script>
    </head>

    <body class="jazz">    	
		<div class="jazz_clear" 
			dojoType="dijit.TitlePane"
			region="leading" 
			id="discussionPane"
			title="Discussion">
			<table id="commentsTable" style="width:100%;">
				<tr>
					<td>
<%	if (Intranet.isAuthenticated(request)){	%>
						<a href="javascript:addEditableComment('<%=Intranet.getUser(request)%>')" id="addCommentLink">Add Comment</a>
<%	}else{	%>
						<a href="javascript:logIn()" id="logInLink">Log in to comment</a>
						<form method="post" action="../com.ibm.ut.common.security.IntranetServlet" id="logInForm" name="logInForm" style="height:30px;width:100%;display:none">
							<div id="logInDiv" style="display:none;">
								<span>User Name: </span><input name="user" onkeydown="if (event.keyCode == 13) logInForm.submit();" ></input> 
								<span>Password: </span><input name="xword" type="password" onkeydown="if (event.keyCode == 13) logInForm.submit();"></input>
								<input type="hidden" value="./com.ibm.ut.commenter/commenter.jsp?<%=query%>" name="redirect"></input>
							</div>
						</form>
<%	}	%>
					</td>
					<td style="float:right;position:absolute;right:30px;">
						<a>Collapse All</a> | <a>Expand All</a>
					</td>
				</tr>
<%
	List comments = Commenter.getComments(request.getParameter("topic"));
	for (int c=0;c<comments.size();c++)
	{
		Comment comment = (Comment)comments.get(c);
%>
				<tr>
					<td>
						<div class="jazz_clear" 
							dojoType="dijit.TitlePane"
							region="leading" 
							id="comment<%=(c+1)%>"					
							title="<%=(c+1)%>.&nbsp;&nbsp;&nbsp;&nbsp;<%=comment.getName()%>&nbsp;&nbsp;&nbsp;&nbsp;<%=comment.getTime()%>">	
							<span class="commentDescription">
								<%=comment.getDescription()%>
							</span>
						</div>
<%		if (Intranet.isMember(Intranet.getUser(request),"commentadmins"))	{	%>	
					</td>
					<td style="width:10%;">
						<table>
							<tr>
								<td style="vertical-align:middle;">
									<select dojoType=dijit.form.Select id=stateSelect<%=c%> name=stateSelect onChange=stateChanged(<%=c%>)>
									    <option value=open>
									        <%=MessageLibrary.getString("Open",locale)%>
									    </option>
									    <option value=closed>
									        <%=MessageLibrary.getString("Closed",locale)%>
									    </option>
									</select>
								</td>
								<td style="vertical-align:middle;">
									<a href="javascript:removeComment(<%=c%>)" class="gridRemove" style="width:25px;height:25px;" title="<%=MessageLibrary.getString("Remove",locale)%>"><img style="position:relative;top:3px;" src="../dojotoolkitext/ibm/themes/jazz/images/gridRemove.gif"/></a>
								</td>
							</tr>
						</table>
					</td>
<%		}	%>					
					</td>
				</tr>
<%	}	%>
			</table>
			<input type="submit" onclick="addComment()" id="saveComment" disabled style="position:absolute;float:right;right:30px" value="Save"/>
		</div>
	</body>
</html>
       