dojo.require('dojo.data.ItemFileWriteStore');

dojo.provide('ibm.data.ItemServletWriteStore');

dojo.declare('ibm.data.ItemServletWriteStore', dojo.data.ItemFileWriteStore, {
	
	saveURL:'',
	oldContent:'',
	
	constructor: function(keywordParameters){
		this.saveURL = keywordParameters.saveURL;
 	},

	_saveEverything: function(saveCompleteCallback, saveFailedCallback, newFileContentString) {
	
		if (newFileContentString!=this.oldContent)
		{		
			dojo.xhrPost({
				url: this.saveURL,
				postData: newFileContentString,
				contentType: "application/jsonrequest",
				load: saveCompleteCallback,
				error: saveFailedCallback
			});
		}
		else
			saveCompleteCallback();
		this.oldContent=newFileContentString;
	}
});