<%@ page language="java"
	import="com.ibm.ut.common.web.*, com.ibm.ut.common.*, com.ibm.ut.common.security.*, java.util.*,javax.servlet.http.*,com.ibm.remote.configuration.utils.*,org.eclipse.core.runtime.Preferences,org.eclipse.help.internal.base.HelpBasePlugin,org.eclipse.help.internal.base.IHelpBaseConstants;"
	contentType="text/html;UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<%
	String securityType = AccessManager.getAccessType();//Activator.getDefault().getBundle().getBundleContext().getProperty("help.war.security");
	String requestHost="";
	if(securityType==null || securityType.contains("local"))
	{
		//Check if request coming from local host.  IF not, redirect to 403 (Forbidden).
		requestHost=request.getRemoteHost().toLowerCase();
		String ipAddress=LocalHostUtility.getLocalIP();
		String machineName=LocalHostUtility.getMachineName();
		if(!(requestHost.equals("127.0.0.1") || requestHost.equals("localhost") || requestHost.equals(ipAddress) || requestHost.equals(machineName) || requestHost.equals("localhost.localdomain") || requestHost.equals("::1")))
		{
			response.sendError(response.SC_FORBIDDEN);
		}
	}
	else if(securityType.contains("remote"))
	{
		Authenticator.authenticate(request,response);
	}

	//Load prefilled preference values on the page
	Preferences prefs = HelpBasePlugin.getDefault()
			.getPluginPreferences();

	boolean isEnabled = prefs
			.getBoolean(IHelpBaseConstants.P_KEY_REMOTE_HELP_ON);
	boolean isPreferred = prefs
			.getBoolean(IHelpBaseConstants.P_KEY_REMOTE_HELP_PREFERRED);
	String icHost = prefs
			.getString(IHelpBaseConstants.P_KEY_REMOTE_HELP_HOST);
	String icPath = prefs
			.getString(IHelpBaseConstants.P_KEY_REMOTE_HELP_PATH);
	if (icPath.equals(""))
		icPath = "/";
	String icPort = prefs
			.getString(IHelpBaseConstants.P_KEY_REMOTE_HELP_PORT);

	String savedPrefs = (String) session.getAttribute("savedPrefs");
	session.setAttribute("savedPrefs", null);

	String xid = UUID.randomUUID().toString();

    //Localization of Strings
	Locale locale = LocaleUtil.getLocale(request);
	String localeName = locale.toString().replace('_', '-');
	
	boolean showBanner = request.getParameter("banner")==null || request.getParameter("banner").equals("true");
	
%>

<html>
	<head>
		<title><%=MessageLibrary.getString("NetworkConnections", locale)%></title>
		
    	<meta http-equiv="PRAGMA" content="NO-CACHE">
    	<meta http-equiv="X-UA-Compatible" content="IE=7" />
    	
<% 	if (showBanner){ 	%>
        <link rel="STYLESHEET" type="text/css" href="../topic/com.ibm.ut.common/banner/banner.css" />
<%	}	%>
        <link rel="STYLESHEET" type="text/css" href="../topic/com.ibm.ut.common/css/utcommon.css" />
        <link rel="STYLESHEET" type="text/css" href="../topic/com.ibm.ccl.help.webapp.war.updater/css/admin.css" />

		<style type="text/css">
			@import "../dojotoolkit/dojo/resources/dojo.css";           
            @import "../dojotoolkit/dijit/themes/tundra/tundra.css"; 
			@import "../dojotoolkitext/ibm/themes/jazz/jazz.css";
			@import "../dojotoolkitext/ibm/themes/jazz/Grid.css";
			@import "css/customStyles.css";
			
			html,body {
				width: 100%; /* make the body expand to fill the visible window */
				height: 100%;
			/*	overflow: hidden; /* erase window level scrollbars */
				padding: 0 0 0 0;
				margin: 0 0 0 0;
			}
		</style>
        <script type="text/javascript" src="../com.ibm.remote.configuration.servlets.TranslationsService/com.ibm.remote.configuration.utils.Messages.js?lang=<%=locale.toString()%>"></script>
 		<script type="text/javascript" src="../dojotoolkit/dojo/dojo.js"
			djConfig="isDebug:false, parseOnLoad: true, locale:'<%=localeName%>'"></script>
		
		<script type="text/javascript">
		    dojo.require("dijit.ProgressBar");
			dojo.require("dijit.layout.BorderContainer");
			dojo.require("dojox.grid.DataGrid");
			dojo.require("dijit.layout.ContentPane");
			dojo.require("dijit.layout.TabContainer");
			dojo.require("dijit.Dialog");
		    dojo.require("dijit.form.ValidationTextBox");
			
			//dojo.require("dojox.collections.ArrayList");
			dojo.require("dojo.i18n");
			dojo.require("dojo.data.ItemFileWriteStore");
			
			dojo.require("dojo.parser");    // scan page for widgets and instantiate them
			
			dojo.registerModulePath("ibm", "../../dojotoolkitext/ibm");
			dojo.require("ibm.data.ItemServletWriteStore");
			
			//TODO Add dojo translation support
			dojo.registerModulePath("translations", "../../remote/translations");
			dojo.requireLocalization("translations", "remote_strings");
			
			//Adam - needed to add this to add setTitle method to dialogs
			dojo.extend(dijit.Dialog,{
				setTitle: function(/*string*/title){
					this.titleNode.innerHTML = title || "";
				}
			});

			var dirty = false;
			var _xhrHandler = null;
			
			var enable = '<%=MessageLibrary.getString("Enable", locale)%>';
			var disable = '<%=MessageLibrary.getString("Disable", locale)%>';
			
			dojo.addOnLoad (function (event) {
				
				dojo.connect(dijit.byId('remoteHelpGrid'), "onSelectionChanged", updateButtonStates);
				
				initICDialog();
				
				setAttribute('Edit', 'disabled', true);
				setAttribute('Delete', 'disabled', true);
				setAttribute('Apply', 'disabled', true);
				setAttribute('TestConnection', 'disabled', true);
				setAttribute('Enable', 'disabled', true);
				setAttribute('Up', 'disabled', true);
				setAttribute('Down', 'disabled', true);
				
				dojo.connect(dojo.byId('icname'), "onkeyup", validateDialog);
				dojo.connect(dojo.byId('icurl'), "onkeyup", validateDialog);
				
				setAttribute('ICOKButton', 'disabled', true);
				setAttribute('ICTestButton', 'disabled', true);
			});
			
			
			// Check formatter
			function checkFormatter(enabled)
			{
				if (enabled=="true")
					return '<input type="checkbox" disabled checked class="gridCheckBox"/>';
				else
					return '<input type="checkbox" disabled class="gridCheckBox"/>';
			}
            
			
		</script>
		
		<script type="text/javascript" src="scripts/RemoteActions.js"></script>
	</head>
	
	<body class="jazz">
		
		<span dojoType="ibm.data.ItemServletWriteStore" 
			jsId="remoteHelpStore"
			url="../com.ibm.ut.common.ic.ConnectionService"
			saveURL="../com.ibm.ut.common.ic.ConnectionService"/>
	
<%
	if (showBanner){
%>
		<!-- BEGIN IBM BANNER -->
		<div class="bannerContainer">
			<div class="headerContainer">
				<div class="headerCenter">
					<div class="headerLeft"></div>
					<div class="headerRight"></div>
				</div>
			</div>
			<div class="bannerContent">
				<div class="helpLogo"></div>
				<div class="helpTitle"><%=MessageLibrary.getString("NetworkConnections", locale)%></div>
				<div class="ibmLogo"></div>
			</div>
		</div>
	    <!-- END IBM BANNER -->

		<table class="banneredTable jazz" cellspacing="15">
<%	}else{	%>	
		<table class="mainTable jazz" cellspacing="15">
		<tr style="height:5%;">
			<td><span class="mainTitle"><%=MessageLibrary.getString("NetworkConnections", locale)%></span></td>
		</tr>
<%	}	%>	
		<tr style="height:2%;">
			<td colspan="3">
				<p class="mainDescription"><%=Messages.getString("RemoteHelpPageDescription",locale)%></p>
			</td>
		</tr>
		<tr>
			<td style="width:90%;">
				<div dojoType="dijit.layout.BorderContainer" title=""
					liveSplitters="false" persist="true" design="headline"
					style="width: 100%; height: 350px">
	
					<div dojoType="dijit.layout.ContentPane" region="center"
						id="container" splitter="true">
						<table id="remoteHelpGrid"
							dojoType="dojox.grid.DataGrid"
							jsId="remoteHelpGrid"
							store="remoteHelpStore"
							clientSort="true"
							query="{href: '*'}"
							rowSelector="20px">
							<thead>
								<tr>
									<th width="25%" field="name">
										<%=MessageLibrary.getString("Name", locale)%>
									</th>
									<th width="65%" field="href">
										<%=MessageLibrary.getString("URL", locale)%>
									</th>
									<th width="10%" field="enabled" formatter="checkFormatter">
										<%=MessageLibrary.getString("Enabled", locale)%>
									</th>
								</tr>
							</thead>
						</table>
					</div>
				</div>
			</td>
			<td vertical-align="top">
				<table>
					<tr>
						<td>
							<button id="New" dojoType="dijit.form.Button"
								onClick="addICDialog()"><%=MessageLibrary.getString("New", locale)%></button>
						</td>
					</tr>
					<tr>
						<td>
							<button id="Edit" dojoType="dijit.form.Button"
								onClick="editICDialog()"><%=MessageLibrary.getString("Edit", locale)%></button>
						</td>
					</tr>
					<tr>
						<td>
							<button id="Delete" dojoType="dijit.form.Button"
								onClick="deleteICsDialog()"><%=MessageLibrary.getString("Delete", locale)%></button>
						</td>
					</tr>
					<tr>
						<td>
							<button id="TestConnection" dojoType="dijit.form.Button"
								onClick="testICDialog()"><%=MessageLibrary.getString("TestConnection", locale)%></button>
						</td>
					</tr>
					<tr>
						<td>
							<button id="Enable" dojoType="dijit.form.Button"
								onClick="handleEnableDisable()"><%=MessageLibrary.getString("Enable", locale)%></button>
						</td>
					</tr>
					<tr>
						<td>
							&nbsp;
						</td>
					</tr>
					<tr>
						<td>
							<button id="Up" dojoType="dijit.form.Button"
								onClick="move('up')"><%=MessageLibrary.getString("Up", locale)%></button>
						</td>
					</tr>
					<tr>
						<td>
							<button id="Down" dojoType="dijit.form.Button"
								onClick="move('down')"><%=MessageLibrary.getString("Down", locale)%></button>
						</td>
					</tr>
					<tr>
						<td>
							&nbsp;
						</td>
					</tr>
					<tr>
						<td>
							&nbsp;
						</td>
					</tr>
					<tr>
						<td class="restore_defaultsCell">
							<button id="restore_defaults" dojoType="dijit.form.Button"
								onClick="restoreDefaults()"><%=MessageLibrary.getString("RestoreDefaults", locale)%></button>
						</td>
					</tr>
					<tr>
						<td>
							<button id="Apply" dojoType="dijit.form.Button"
								onClick="apply()"><%=MessageLibrary.getString("Apply", locale)%></button>
						</td>
					</tr>
					<tr>
						<td>
							&nbsp;
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	
	
	<!-- BEGIN IC DIALOG -->
	<div dojoType="dijit.Dialog" id="ICDialog"
		title='<%=Messages.getString("AddICDialog_2", locale)%>' style="overflow: hidden;">
	<table>
		<tr>
			<td>
			<table>
				<tr>
					<td><%=MessageLibrary.getString("Name", locale)%>&nbsp;&nbsp;&nbsp;</td>
					<td>
						<input 
							type="text" 
							id="icname" 
							name="icname" 
							style="width:400px"
							required="true"
							invalidMessage="<%= Messages.getString("BadName", locale)%>"
							dojoType="dijit.form.ValidationTextBox" />
					</td>
				</tr>
				<tr>
					<td><%=MessageLibrary.getString("URL", locale)%>&nbsp;&nbsp;&nbsp;</td>
					<td>
						<input 
							type="text" 
							id="icurl" 
							name="icurl" 
							style="width:400px"
							required="true"
							invalidMessage="<%= MessageLibrary.getString("InvalidURL", locale)%>"
							dojoType="dijit.form.ValidationTextBox" />
					</td>
				</tr>
				<tr>
					<td>
						<img src="icons/blank.gif" alt="" style=\"height:30px;\"/>
					</td>
					<td style="vertical-align:middle;">
						<div dojoType="dijit.ProgressBar" jsId="waitbar" id="waitbar" maximum="100" style="display:none;"></div>
						<span id="status"></span>
					</td>
				</tr>
				<tr>
					<td> </td>
					<!-- Ok and Cancel buttons -->
					<td width="100%" style="text-align: center;" align="right">
					<button dojoType="dijit.form.Button"
						id="ICTestButton"
						onClick="testConnection()">
							<%=MessageLibrary.getString("TestConnection", locale)%></button>
					</button>
					<button dojoType="dijit.form.Button" 
						type="submit"
						id="ICOKButton"
						onclick="ok()">
							<%=MessageLibrary.getString("OK", locale)%>
					</button>
					<button dojoType="dijit.form.Button"
						id="ICCancelButton"
					 	onclick="handleICDialogClose()">
					 		<%=MessageLibrary.getString("Cancel", locale)%>
					 </button>
					<div id="errorSection" style="color: red;"></div>
					</td>
				</tr>
			</table>
			</td>
		</tr>
		<tr>
	
		</tr>
	</table>
	</div>
	<!-- END IC DIALOG -->
	
	<!-- BEGIN DELETE IC DIALOG -->
	<div dojoType="dijit.Dialog" id="deleteICDialog"
		title="Remove **NAME OF PRODUCT** information center"
		style="overflow: hidden;">
	<table>
		<!--  TODO  need the string name of selected product -->
		<tr>
			<td id ="deleteICLabel">Are you sure you want to remove **NAMEOFPRODUCT**?</td>
		</tr>
	
		<tr>
	
			<!-- Yes and No buttons -->
			<td width="100%" style="text-align: center;">
			<button dojoType="dijit.form.Button" onclick="deleteICs()"><%=MessageLibrary.getString("Yes", locale)%></button>
	
			<button dojoType="dijit.form.Button" onclick="handleDeleteICDialogClose()" type="submit"><%=MessageLibrary.getString("No", locale)%></button>
	
			</td>
		</tr>
	</table>
	</div>
	<!-- END DELETE IC DIALOG -->
	</body>
</html>
