<%@ page language="java" import="java.util.*, com.ibm.ut.common.security.*, com.ibm.ut.commenter.*, javax.servlet.http.*, org.eclipse.core.runtime.Preferences;" contentType="text/html;UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<%
	boolean showBanner = request.getParameter("banner")==null || request.getParameter("banner").equals("true");
%>
<html>
    <head>
    	<title>Comment Reporter</title>
        <link rel="stylesheet" type="text/css" href="../dojotoolkit/dijit/themes/tundra/tundra.css" />
        <link rel="STYLESHEET" type="text/css" href="../topic/com.ibm.ut.common/css/utcommon.css" />
<% 	if (showBanner){ 	%>
        <link rel="STYLESHEET" type="text/css" href="../topic/com.ibm.ut.common/banner/banner.css" />
<%	}	%>          
		<script type="text/javascript" src="../dojotoolkit/dojo/dojo.js.uncompressed.js" djConfig="isDebug:true,parseOnLoad:true"></script>
        <script type="text/javascript" src="../topic/com.ibm.ut.common/scripts/utcommon.js"></script>     
 
        <style type="text/css">
        
            @import "../dojotoolkit/dojo/resources/dojo.css";
            @import "../dojotoolkitext/ibm/themes/jazz/jazz.css";
            @import "css/customStyles.css";
            			li{
				list-style :none
			} 
			
			.distTreeLabel{
				position:absolute;
			}
			
            label {
                float: left;
                margin-top: 5px
            }
            
//            input, select {
 //               float: right;
  //              margin-top: 5px
   //         }
            
            form {
                width: 300px;
                height: 400px;
            } 
            #passwordform {
                margin-left: 30%
            }
            .jazz .noIcons .dijitFolderClosed,
            .jazz .noIcons .dijitFolderOpened {
    			background: none;
			}
			.jazz .noIcons .dijitTreeIcon {
				display:none;
			}
			
        </style>
        <script type="text/javascript">

			dojo.require("dijit.Tree");
            dojo.require("dijit.TitlePane");
			dojo.require("dojo.data.ItemFileWriteStore");
			dojo.require("dijit.form.ToggleButton");
			dojo.require("dijit.tree.ForestStoreModel");
			dojo.require("dijit.layout.ContentPane");

			dojo.require("dojox.charting.Chart2D"); 
			dojo.require("dojox.charting.DataChart"); 
			dojo.require("dojox.charting.action2d.Highlight");
			dojo.require("dojox.charting.action2d.Tooltip");
			dojo.require("dojox.charting.action2d.MoveSlice");
			dojo.require("dojox.charting.themes.MiamiNice");
			dojo.require("dojox.charting.widget.Legend");

			dojo.registerModulePath("ibm", "../../dojotoolkitext/ibm");
			dojo.require("ibm.data.ItemServletWriteStore");
			dojo.require("ibm.widget.MarkupTree");
			dojo.require("ibm.widget.chart.CustomLegend");

            dojo.addOnLoad(function(){
				buildOverviewChart();
				buildPluginChart();
            });            
            
            var distTreeLabelColorIndex=0;
            
            function logIn()
            {
            	var loginDiv = document.getElementById('logInDiv');
            	loginDiv.style.display='block';	
            	
            	var logInLink = document.getElementById('logInLink');
            	logInLink.style.display='none';
            }
			
			var elements;
			
			function buildPluginChart()
			{
				dojo.xhrGet( {
					url : '../com.ibm.ut.commenter.ReportingService/PLUGINS',
					handleAs : 'json',
					load : function(json) {
					
						elements = json;
						var pluginChart = new dojox.charting.Chart2D("pluginChart");
						pluginChart.addPlot("default", {
					        type: "Bars",
					        markers: true,
					        gap: 5
					    });
						pluginChart.setTheme(dojox.charting.themes.MiamiNice);
					    pluginChart.addAxis("x", {
					    	min:0,
							microTicks: false,
							minorTicks: false,
							minorLabels: false,
							includeZero:true
							
						});
					    pluginChart.addAxis("y",{
					    	vertical: true,
							microTicks: false,
							minorTicks: false,
							minorLabels: false,
							labelFunc:function(value){
								var plugin = '';
								if ((value-1<elements.items.length) && (value.toString().indexOf('.')==-1))
									plugin = elements.items[value-1].plugin;
								return plugin;
							}
						});					    	
					    	
					    	
					    var labelProps = new Array(json.items.length);
						for (var i=0;i<json.items.length;i++)
						{
					   		var tmpArray = new Array(0);
					   		for (var t=0;t<i;t++)
					   			tmpArray[t]=0;
					   		tmpArray[i] = json.items[i].numComments;
					   		
					   		pluginChart.addSeries("Series "+i,tmpArray,{htmlLabels: true});
					   		labelProps[i] = {value: i+1, text: json.items[i].plugin};
					   	}
						//new dojox.charting.action2d.Tooltip(pluginChart,"default",{
						//	text: function(o) {
						//		return json.items[o.y-1].plugin;
						//	} 
						//});									
						new dojox.charting.action2d.Highlight(pluginChart,"default");
//						new action2d.MagnifyTip(pluginChart,"default");
						pluginChart.render();
					},
					error : function(data) {}
				});
			}
			
			function buildOverviewChart()
			{		
		        var overviewChart = new dojox.charting.DataChart("overviewChart",{
		            type: "Pie",
		            font: "normal normal 11pt Tahoma",
		            fontColor: "black",
		            labelOffset: -30,
		            radius: 50,
		            comparative: true,
		            xaxis:{labelFunc:"seriesLabels"}
		            
		        });
		        overviewChart.setTheme(dojox.charting.themes.MiamiNice);
		        
		        var overviewStore = new dojo.data.ItemFileWriteStore({
		        	url:'../com.ibm.ut.commenter.ReportingService/COUNTS'});
		        
		        overviewChart.setStore(overviewStore,{title:"*"},"numDescendantComments");					    	
		        overviewChart.render();

			    	
//		        var anim_a = new dojox.charting.action2d.MoveSlice(overviewChart, "default");
//		        var anim_b = new dojox.charting.action2d.Highlight(overviewChart, "default");
//		        var anim_c = new dojox.charting.action2d.Tooltip(overviewChart, "default",{
//					text: function(o) {
					
//						var item = overviewStore._arrayOfAllItems[o.x];
					
//						return item.title+" ("+item.numDescendantComments+")";
//					} 
//				});				
		        var c = dojo.connect(overviewChart, "onData", function(){
			    	//dojo.disconnect(c);
			    	new ibm.widget.chart.CustomLegend({
			    		chart:overviewChart,
			    		horizontal:false,
			    		text: function(x,i) {
			    	
			    			var count = 0;
			    			for (var a=0;a<overviewStore._arrayOfTopLevelItems.length;a++)
			    			{
			    				var item = overviewStore._arrayOfTopLevelItems[a];
			    				if (count==i && item.numDescendantComments>0)
									return item.title +" ("+item.numDescendantComments+")";
								if (item.numDescendantComments>0)
									count++;
							}
							return 'Unknown';
						}},
						"overviewLegend");
			        overviewChart.render();
			   	});	   	
			}

			function buildDistributionTree()
			{		
				var distributionTreeStore = new ibm.data.ItemServletWriteStore({
                    url: '../com.ibm.ut.commenter.ReportingService/COUNTS'});

                var distributionTreeModel = new dijit.tree.ForestStoreModel({
                    store: distributionTreeStore,
					childrenAttrs:'children',
					query:{uid:'*'}
                });
			
		        var distributionTree = new ibm.widget.MarkupTree({
					id: 'distributionTree',
					model: 'distributionTreeModel',
					openOnClick: true,
					getLabel: function(node){
						return 'test';
					}
		        },"distributionTree");
			}
			
			function getDistLabel(node)
			{
				var theme = dojox.charting.themes.MiamiNice;
				var color = new dojo.Color(theme.colors[distTreeLabelColorIndex]);
				var lighter = dojo.blendColors(color,new dojo.Color("#FFFFFF"),0.3);
				var darker = dojo.blendColors(color,new dojo.Color("#666666"),0.3);
				
				if (node.numComments==null)
					return 'undefined';
				
				var c = node.numComments[0];
				var dc = node.numDescendantComments[0];
				
				var label='<span class="distTreeLabel"><span style="position:absolute;left:-1px;">';
				

				if (dc>0)
				{
				
					label+='<span class="distTreeCommentsLabel"	style="z-index:-1;border:1px solid '+lighter.toHex()+';">';
					label+='<span style="z-index:-1;background-color:'+darker.toHex()+';">';
					for (var i=0;i<c;i++)
					{
						label+='&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
					}
					label+='</span>';

					label+='<span style="z-index:-1;background-color:'+color.toHex()+';">';
					for (var j=c;j<dc;j++)
					{
						label+='&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
					}
					label+='</span>';
					label+='</span>';
				}
				
				label+='</span><span class="distTreeNodeTitle" style="position:absolute;z-index:10">'+node.title+' ('+node.numDescendantComments+')</span></span>';
				
				
				distTreeLabelColorIndex++;
				if (distTreeLabelColorIndex>=theme.colors.length)
					distTreeLabelColorIndex=0;
				
				return label;
			}
			
			function toggleShowFiltered(value)
			{
				if (value)
					distributionTreeStore.url = "../com.ibm.ut.commenter.ReportingService/COUNTS_FILTERED";
				else
					distributionTreeStore.url = "../com.ibm.ut.commenter.ReportingService/COUNTS";
					
				distributionTreeStore.close();
				distributionTreeModel._requeryTop();
			}
			          
        </script>
    </head>

    <body class="jazz">    	
    
    	<span dojoType="ibm.data.ItemServletWriteStore" 
    		jsId="distributionTreeStore" 
    		url="../com.ibm.ut.commenter.ReportingService/COUNTS_FILTERED"
    		clearOnClose="true">
    	</span>
		<span dojoType="dijit.tree.ForestStoreModel"
			jsId="distributionTreeModel"
			childrenAttrs="children"
			store="distributionTreeStore"
			rootId="root"
			rootLabel="Help Books"
			query="{uid:'*'}">
		</span>	
    
<%	if (showBanner){	%>
		<!-- BEGIN IBM BANNER -->
		<div class="bannerContainer">
			<div class="headerContainer">
				<div class="headerCenter">
					<div class="headerLeft"></div>
					<div class="headerRight"></div>
				</div>
			</div>
			<div class="bannerContent">
				<div class="helpLogo"></div>
				<div class="helpTitle">Rational Help Comment Reporter</div>
				<div class="ibmLogo"></div>
			</div>
		</div>
	    <!-- END IBM BANNER -->

		<table class="banneredTable jazz_clear" cellspacing="15">
<%	}else{	%>	
		<table class="mainTable jazz_clear" cellspacing="15">
<%	}	%>	
			<tr>
				<td style="width:34%;">
					<div class="jazz_clear" 
						dojoType="dijit.TitlePane"
						region="leading" 
						id="overviewPane"
						title="Comments by Book">
						<table>
							<tr>
								<td>
									<div id="overviewChart" style="width:220px;height:220px;"></div>
								</td>
								<td>
									<br/>
									<div id="overviewLegend"></div>
								</td>
							</tr>
						</table>
					</div>
				</td>
				<td style="width: 33%; height: 425px;">
					<div class="jazz_clear noIcons" 
						dojoType="dijit.TitlePane"
						region="leading" 
						id="pluginPane"
						title="Comments by Plugin">
						<div id="pluginChart" style="width: 100%; height: 425px;"></div>
					</div>
				</td>
				<td style="width: 33%; height: 425px;">
					<div class="jazz_clear noIcons" 
						dojoType="dijit.TitlePane"
						region="leading" 
						id="distributionPane"
						title="Comment Distribution Tree">
						
						
						<button dojoType="dijit.form.ToggleButton" 
							id="showAll"
							onChange="toggleShowFiltered(arguments[0]);"
							checked="true" 
							iconClass="dijitCheckBoxIcon">
							 Show Only Topics with Comments
						</button>
						
						<div dojoType="ibm.widget.MarkupTree" 
							id="distributionTree" 
							jsId="distributionTree" 
							style="height:450px;"
							openOnClick="true"
							showRoot="false"
							model="distributionTreeModel"
							getLabel="getDistLabel"
							persist="false">
						    <script type="dojo/method" event="onClick" args="item">
	//					        alert("Execute of node " + continentStore.getLabel(item) + ", population=" + continentStore.getValue(item, "population"));
						    </script>
						</div>
<!--
						<div id="distributionChart" style="width: 250px; height: 425px;"></div>
-->					</div>
				</td>
			</tr>
		</table>    
	</body>
</html>
       