/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2010 - All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

// --------------------------------------------------
// Localized Strings -- User Assistance Web Delivery 
// --------------------------------------------------

{
updateInProgressMsg : "Achtung: Klicken Sie während der Aktualisierung nicht auf die Browserschaltfläche 'Zurück'.",
installInProgressMsg : "Achtung: Klicken Sie während der Installation nicht auf die Browserschaltfläche 'Zurück'.",
uninstallInProgressMsg : "Achtung: Klicken Sie während der Deinstallation nicht auf die Browserschaltfläche 'Zurück'.",
publicSiteslbl : "Öffentliche Sites",
internalSiteslbl : "Interne Sites",
siteNamelbl : "Name",
siteLoclbl : "Position",
availFeaturelbl : "Verfügbare Features",
installFeaturelbl : "Installierte Features",
featureDesclbl : "Featurebeschreibung",
includedFeatureslbl : "Enthaltene Features",
installlbl : "Installieren",
removelbl : "Entfernen",
featurelbl : "Feature",
installSizelbl : "Installationsgröße",
statuslbl : "Status",
addSitelbl : "Interne Site hinzufügen",
viewEditSitelbl : "Interne Site anzeigen und bearbeiten",
siteTypelbl : "Sitetyp",
namelbl : "Name",
oklbl : "OK",
cancellbl : "Abbrechen",
restartmsg : "as Hilfesystem wird nun erneut gestartet, damit die Änderungen wirksam werden.",
installfailedmsg : "Das Feature konnte nicht installiert werden.",
errorConnectmsg : "Die Verbindung mit der Site-URL konnte nicht hergestellt werden.",
noFeaturemsg : "Keine Features gefunden.",
searchFeaturemsg : "Nach Updates suchen",
seeLogMsg : "Das Protokoll enthält weitere Details.",

featureDescriptionlbl : "Featurebeschreibung",
includedFeaturelbl: "Enthaltene Features",
clearlbl: "Inhalt löschen",
messagelbl: "Nachricht",
typelbl : "Typ",
warninglbl : "Warnung",
messageerrorlbl : "Fehler",
infolbl : "Informationen",
installingFeaturelbl : "Feature wird installiert",
uninstallingFeaturelbl : "Feature wird deinstalliert",
updatesAppliedlbl : "Updates wurden angewendet",
sitesSavedlbl : "Sites wurden erfolgreich gespeichert",
savingSitelbl : "Lokale Site wird gespeichert",
locallbl : "Lokal",
remotelbl : "Fern",
processFeatureslbl : "Features werden verarbeitet...",
restartWaitlbl : "Warten Sie, während das Hilfesystem erneut gestartet wird, damit die Änderungen wirksam werden.",
platformResetlbl : "Die Plattform wurde zurückgesetzt. Sie müssen das Produkt erneut starten, damit die Änderungen wirksam werden.",
retrieveFeatureslbl : "Features werden abgerufen...",
contactServerlbl : "Server wird kontaktiert..",
searchForUpdateslbl : "Updates werden gesucht...",
prepareInstalllbl : "Installation wird vorbereitet...",
prepareUninstalllbl : "Deinstallation wird vorbereitet...",
selectUpdateSitelbl : "Wählen Sie Sites für die Suche nach Aktualisierungen aus.",
errorResettinglbl : "Fehler beim Neustart des Hilfesystems",
errorConnectingPlatformlbl : "Fehler beim Verbinden mit der Plattform",
runinbckgrndlbl : "Im Hintergrund ausführen",
errorFFBrowserSecuritylbl : 'Der Zugriff auf die lokalen Dateien ist aufgrund der Sicherheitseinstellungen für den Browser nicht möglich.<br/>Führen Sie die folgenden Schritte aus, um auf die lokalen Dateien zuzugreifen:<br/>(1) Geben Sie im URL-Feld des Browserfensters die Zeichenfolge "about:config" ein. Dann wird im Browser die Benutzervorgabenseite für die Konfiguration angezeigt.<br/>(2) Klicken Sie mit der rechten Maustaste auf eine Stelle in der angezeigten Benutzervorgabenseite und wählen Sie im Kontextmenü die Optionen Neu > Boolesch aus.<br/>(3) Geben Sie die Zeichenfolge signed.applets.codebase_principal_support (ohne Anführungszeichen) als neuen Benutzervorgabennamen ein.<br/>(4) Klicken Sie auf "OK".<br/>(5) Versuchen Sie erneut, die Datei "site.xml" hinzuzufügen.',
errorRelativePathNotAllowed : "Die Datei '{0}' kann nicht geladen werden: Relative Pfade sind nicht zulässig. Bitte geben Sie einen absoluten Pfad für diese Datei an.",
errorFileNotFound : "Die Datei '{0}' wurde nicht gefunden.",
errorIEBrowserSecuritylbl : 'Der Zugriff auf die lokalen Dateien ist aufgrund der Sicherheitseinstellungen für den Browser nicht möglich.<br/>Führen Sie die folgenden Schritte aus, um auf die lokalen Dateien zuzugreifen:<br/>(1) Klicken Sie im Fenster des Internet Explorers auf "Extras > Internetoptionen".<br/>(2) Klicken Sie auf der Registerkarte "Sicherheit" auf "Stufe anpassen".<br/>(3) Aktivieren Sie die Einstellung ActiveX-Steuerelemente initialisieren und ausführen, die nicht als sicher für Scripting markiert sind.<br/>(4) Klicken Sie auf "OK".<br/>(5) Versuchen Sie erneut, die Datei "site.xml" hinzuzufügen.',
errorNoFilePermission : "Der Zugriff auf die lokale Datei '{0}' ist aufgrund der Dateiberechtigungen nicht möglich. Stellen Sie sicher, dass die Datei und/oder übergeordnete Verzeichnisse lesbar sind.",
infoOperationRunning : "Es wird derzeit eine Operation ausgeführt.<br/>Bitte warten...",
errorReadFeatureList : "Fehler beim Lesen der ausgewählten Features",
infoInstallDependencyFeature : "Für das ausgewählte Feature ist {0} erforderlich.<br/><br/>{1} muss ebenfalls installiert sein, damit die Hilfethemen angezeigt werden können.",
infoUninstallDependencyFeature : "{0} erfordert das Feature, das Sie zur Deinstallation ausgewählt haben.<br/><br/>{1} muss ebenfalls deinstalliert werden.",
confirmCancelInstall : "Beim Abbruch der aktuellen Installation wird der alte Status wiederhergestellt, was einige Minuten in Anspruch nehmen wird. Möchten Sie fortfahren?",
readPendingTask : "Es wird gelesen, ob eine Operation aus der letzten Sitzung ansteht.<br/>Bitte warten...",
readRollbackFeatureList : "Die Feature-Informationen für den Rollback der aktuellen Installation werden gelesen.<br/>Bitte warten...",
errorReadPendingTaskFailed : "Fehler beim Lesen der anstehenden Operation aus der letzten Sitzung",
infoCancelInProgress : "Ihre aktuelle Operation wird abgebrochen.<br/>Bitte warten...",
allsiteslbl : "Alle Sites",
publicsiteslbl : "Öffentliche Sites",
internalsiteslbl : "Interne Sites",
installedappcontentlbl : "Installierter Anwendungsinhalt",
downloadfeatures : "Features werden heruntergeladen...",
installfeatures : "Software wird installiert...",
uninstallfeatures : "Software wird entfernt...",
updatefeatures : "Software wird aktualisiert...",
showstatuslbl : "Details anzeigen",
aboutLocalHelpSystem : "Informationen zum lokalen Hilfesystem...",
lhuTitle : "Lokale Aktualisierungskomponente für Hilfe",
dependencyFound : "Abhängigkeit gefunden"
}
