/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2010 - All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

// --------------------------------------------------
// Localized Strings -- User Assistance Web Delivery 
// --------------------------------------------------

{
updateInProgressMsg : "Remarque : ne cliquez pas sur le bouton Précédent du navigateur alors que la mise à jour est en cours",
installInProgressMsg : "Remarque : ne cliquez pas sur le bouton Précédent du navigateur alors que l'installation est en cours",
uninstallInProgressMsg : "Remarque : ne cliquez pas sur le bouton Précédent du navigateur alors que la mise à jour est en cours",
publicSiteslbl : "Sites publics",
internalSiteslbl : "Sites internes",
siteNamelbl : "Nom",
siteLoclbl : "Emplacement",
availFeaturelbl : "Fonctions disponibles",
installFeaturelbl : "Fonctions installées",
featureDesclbl : "Description de la fonction",
includedFeatureslbl : "Fonctions incluses",
installlbl : "Installer",
removelbl : "Suppression",
featurelbl : "Fonction",
installSizelbl : "Taille de l'installation",
statuslbl : "Etat",
addSitelbl : "Ajouter un site interne",
viewEditSitelbl : "Afficher & modifier un site interne",
siteTypelbl : "Type de site",
namelbl : "Nom",
oklbl : "OK",
cancellbl : "Annuler",
restartmsg : "Le système d'aide va maintenant être redémarré pour que les modifications prennent effet.",
installfailedmsg : "Echec de l'installation de la fonction",
errorConnectmsg : "Impossible de se connecter à l'adresse URL du site",
noFeaturemsg : "Aucune fonction n'a été trouvée",
searchFeaturemsg : "Rechercher des mises à jour",
seeLogMsg : "Consultez le journal pour des informations plus détaillées",

featureDescriptionlbl : "Description de la fonction",
includedFeaturelbl: "Fonctions incluses",
clearlbl: "Effacer",
messagelbl: "Message",
typelbl : "Type",
warninglbl : "Avertissement",
messageerrorlbl : "Erreur",
infolbl : "Info",
installingFeaturelbl : "Fonctions installées",
uninstallingFeaturelbl : "Désinstallation de la fonction",
updatesAppliedlbl : "Mises à jour appliquées",
sitesSavedlbl : "Sites correctement sauvegardés",
savingSitelbl : "Sauvegarde du site local",
locallbl : "Local",
remotelbl : "Distant",
processFeatureslbl : "Traitement des fonctions...",
restartWaitlbl : "Attendez que le système ait redémarré pour les modifications prennent effet.",
platformResetlbl : "La plateforme a été réinitialisée.  Vous devez redémarrer le produit pour que les modifications prennent effet.",
retrieveFeatureslbl : "Extraction des fonctions...",
contactServerlbl : "Contact du serveur...",
searchForUpdateslbl : "Recherche des mises à jour...",
prepareInstalllbl : "Préparation de l'installation...",
prepareUninstalllbl : "Préparation de la désinstallation...",
selectUpdateSitelbl : "Sélectionnez des sites pour rechercher les mises à jour.",
errorResettinglbl : "Erreur lors du redémarrage du système d'aide",
errorConnectingPlatformlbl: "Erreur lors de la connexion avec la platforme",
runinbckgrndlbl : "Exécuter en arrière-plan",
errorFFBrowserSecuritylbl : 'Impossible d\'accéder aux fichiers locaux à cause des paramètres de sécurité du navigateur.<br/>Procédez comme suit pour accéder aux fichiers locaux :<br/>(1) Dans la zone URL de la fenêtre du navigateur, entrez about:config. La page des préférences de configuration apparaît dans le navigateur.<br/>(2) Dans la page des préférences de configuration qui apparaît, cliquez avec le bouton droit de la souris et sélectionnez Nouveau > Booléen dans le menu contextuel.<br/>(3) Entrez "signed.applets.codebase_principal_support" (sans guillemets) comme nouveau nom pour les préférences.<br/>(4) Cliquez sur OK.<br/>(5) Essayez d\'ajouter à nouveau le fichier "site.xml".',
errorRelativePathNotAllowed : "Impossible de charger le fichier '{0}' : les chemins relatifs ne sont pas autorisés. Indiquez un chemin absolu pour ce fichier.",
errorFileNotFound : "Fichier '{0}' introuvable.",
errorIEBrowserSecuritylbl : 'Impossible d\'accéder aux fichiers locaux à cause des paramètres de sécurité du navigateur.<br/>Procédez comme suit pour accéder aux fichiers locaux :<br/>(1) Cliquez sur Outils > Options Internet dans la fenêtre d\'Internet Explorer. <br/>(2) Sous l\'onglet Sécurité, cliquez sur Personnaliser le niveau.<br/>(3) Activez le paramètre Contrôles d\'initialisation et de script ActiveX non marquées comme sécurisés.<br/>(4) Cliquez sur OK.<br/>(5) Essayez d\'ajouter à nouveau le fichier "site.xml".',
errorNoFilePermission : "Impossible d'accéder au fichier local '{0}' en raison des droits d'accès aux fichiers. Vérifiez que le fichier et/ou les répertoires parents sont lisibles.",
infoOperationRunning : "Une opération est en cours.<br/>Patientez...",
errorReadFeatureList : "Erreur lors de la lecture des fonctions sélectionnées",
infoInstallDependencyFeature : "La fonction sélectionnée requiert {0}.<br/><br/>Pour afficher les rubriques d'aide, {1} doit également être installé.",
infoUninstallDependencyFeature : "{0} requiert la fonction que vous avez choisi de désinstaller.<br/><br/>{1} doit également être désinstallé.",
confirmCancelInstall : "L'annulation de l'installation actuelle rétablit l'ancien état, ce qui peut prendre quelques minutes. Souhaitez-vous continuer ?",
readPendingTask : "Recherche des opérations en attente de la dernière session.<br/>Patientez...",
readRollbackFeatureList : "Lecture des informations relatives à la fonction pour annuler l'installation actuelle.<br/>Patientez...",
errorReadPendingTaskFailed : "Une erreur s'est produite lors de la lecture d'une opération en attente à partir de la dernière session",
infoCancelInProgress : "Annulation de votre opération en cours.<br/>Patientez...",
allsiteslbl : "Tous les sites",
publicsiteslbl : "Sites publics",
internalsiteslbl : "Sites internes",
installedappcontentlbl : "Contenu de l'application installée",
downloadfeatures : "Téléchargement des fonctions...",
installfeatures : "Installation de logiciel...",
uninstallfeatures : "Suppression de logiciel...",
updatefeatures : "Mise à jour de logiciel...",
showstatuslbl : "Afficher les détails",
aboutLocalHelpSystem : "A propos du système d'aide local...",
lhuTitle : "Programme de mise à jour de l'aide locale",
dependencyFound : "Dépendance trouvée"
}
