<%@ page language="java" import="java.util.*, com.ibm.war.updater.activator.*, com.ibm.ccl.help.webapp.war.updater.admin.*, com.ibm.ut.common.web.*, com.ibm.ut.common.*, com.ibm.war.updater.utils.*, javax.servlet.http.*, org.eclipse.core.runtime.Preferences;" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<%
    //Localization of Strings
	Locale locale = LocaleUtil.getLocale(request);
	String localeName = locale.toString().replace('_', '-');
	
%>
<html>
	<head>
		<title><%=MessageLibrary.getString("HelpAdministration", locale)%></title>
	
		<meta http-equiv="X-UA-Compatible" content="IE=7"/>
	
        <link rel="stylesheet" type="text/css" href="../dojotoolkitext/ibm/themes/jazz/jazz.css" />
		<link rel="STYLESHEET" type="text/css" href="../topic/com.ibm.ccl.help.webapp.war.updater/banner/banner.css" />
		<link rel="STYLESHEET" type="text/css" href="../topic/com.ibm.ccl.help.webapp.war.updater/css/admin.css" />
		
		<style type="text/css">
			@import "../dojotoolkit/dojo/resources/dojo.css";
		</style>
 
		<script src="../topic/com.ibm.ccl.help.webapp.war.updater/scripts/admin.js"></script>
        <script type="text/javascript" src="../dojotoolkit/dojo/dojo.js" djConfig="isDebug:false, parseOnLoad: true, locale:'<%= localeName %>'"></script>
        <script type="text/javascript">        	
        
			dojo.registerModulePath("ibm", "../../dojotoolkitext/ibm");
			dojo.require("ibm.widget.NavButton");        
        
			dojo.require("dojox.charting.Chart2D"); 
			dojo.require("dojox.charting.action2d.Highlight");
			dojo.require("dojox.charting.action2d.Tooltip");
			dojo.require("dojox.charting.themes.MiamiNice");

            dojo.require("dijit.layout.BorderContainer");
			dojo.require("dojo.i18n");
			dojo.require("dojo._base.json");
			
			dojo.registerModulePath("translations", "../../updater/translations");
			dojo.requireLocalization("translations", "updater_strings");
			
			var connectedLabel = '<%=MessageLibrary.getString("Connected", locale)%>';
			var disconnectedLabel = '<%=MessageLibrary.getString("Disconnected", locale)%>';
			
			
			dojo.addOnLoad(function() {
				buildAccessChart();
				checkIBMAccess();
			});
		</script>        
	</head>
	<body class="jazz">
		<div class="bannerContainer">
			<div class="headerContainer">
				<div class="headerCenter">
					<div class="headerLeft"></div>
					<div class="headerRight"></div>
				</div>
			</div>
			<div class="bannerContent">
				<div class="helpLogo"></div>
				<div class="helpTitle"><%=MessageLibrary.getString("HelpAdministration", locale)%></div>
				<div class="ibmLogo"></div>
			</div>
		</div>
		<table class="banneredTable" cellpadding="0" cellspacing="0">
			<tbody><tr>
				<td>
					<div class="nav">
<%
		Category[] categories = AdminPage.getCategories(locale);
		for (int c=0;c<categories.length;c++)
		{
%>
						<div class="title"><%=categories[c].getName()%></div>
<%			
			Page pages[] = categories[c].getPages();
			for (int p=0;p<pages.length;p++)
			{
				if (pages[p].getURL().indexOf("about.jsp")>-1) {
%>
		    			<div>
		    				<input type="radio" 
			    				dojoType="ibm.widget.NavButton" 
			    				name="nav" 
			    				id="navButton<%=c%>.<%=p%>"
			    				value="<%=pages[p].getURL()%>"
			    				lbl="<%=pages[p].getName()%>"
			    				checked="checked"
			    				onclick="load('<%=HTMLUtil.addURLParam(pages[p].getURL(),"lang",locale.toString())%>')" >
							</input>
						</div>
<%				} else {	%>
		    			<div>
		    				<input type="radio" 
			    				dojoType="ibm.widget.NavButton" 
			    				name="nav" 
			    				id="navButton<%=c%>.<%=p%>"
			    				value="<%=pages[p].getURL()%>"
			    				lbl="<%=pages[p].getName()%>"
			    				onclick="load('<%=HTMLUtil.addURLParam(pages[p].getURL(),"lang",locale.toString())%>')" >
							</input>
						</div>
<%				}
			}	
		}	
%>						
						<div class="nav_section" style="background: white;">
							<div class="title"><%=MessageLibrary.getString("PageAccessStatistics", locale)%></div>
							<div id="accessChart" style="width: 250px; height: 425px;"></div>
						</div>
						<div class="nav_section" style="background: white;">
							<span class="title" style="border:0px;"><%=MessageLibrary.getString("IBMConnectivity", locale)%></span>
							<div id="connectionStatus" style="width: 250px; height: 30px;"></div>
						</div>
					</div>
				</td>
				<td style="width:100%;height:100%;">
					<iframe src="../about/about.jsp?banner=false&lang=<%=locale.toString()%>" id="iframe" name="iframe" style="overflow:visible; width:100%;height:100%;" frameborder="0" onload="frameLoad()"></iframe> 
				<!--	<div id="content" dojoType="dijit.layout.ContentPane" djconfig="parseOnLoad:true">-->
					</div>
				</td>
			</tr>
		</table>
	</body>
</html>	