<%@ page language="java" import="com.ibm.ut.common.web.*,com.ibm.ut.common.*,com.ibm.ut.common.prefs.*,java.util.*,javax.servlet.http.*,com.ibm.ccl.help.war.about.utils.*" contentType="text/html;UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<%
	boolean showBanner = request.getParameter("banner")==null || request.getParameter("banner").equals("true");

	/* Localization of Strings */
	Locale locale = LocaleUtil.getLocale(request);
	boolean doesLogExist = LogUtility.doesLogFileExist();
	
	String title = "Configuration Panel";
%>

<html>
	<head>
		<title><%=title%></title>
		<style type="text/css">
            @import "../dojotoolkit/dojo/resources/dojo.css";
            @import "../dojotoolkitext/ibm/themes/jazz/jazz.css";
            @import "../dojotoolkitext/ibm/themes/jazz/Grid.css";
	        
			@import "css/customStyles.css";     
						   
			html, body {
				width: 100%; /* make the body expand to fill the visible window */
				height: 100%;
			/*	overflow: hidden; /* erase window level scrollbars */
				padding: 0 0 0 0;
				margin: 0 0 0 0;
				background:#DCDCDC;
			}
		</style>
<% 	if (showBanner){ 	%>
        <link rel="STYLESHEET" type="text/css" href="../topic/com.ibm.ut.common/banner/banner.css" />
<%	}	%>
	
	    <link rel="STYLESHEET" type="text/css" href="../topic/com.ibm.ut.common/css/utcommon.css" />
		<script type="text/javascript" src="../dojotoolkit/dojo/dojo.js" 
	            djConfig="isDebug:false, parseOnLoad: true">
	    </script>
		<script type="text/javascript">
			dojo.require("dojox.grid.DataGrid");
			dojo.require("dijit.TitlePane");
			dojo.require("dojo.parser");    // scan page for widgets and instantiate them
			dojo.require("dijit.Dialog");
			dojo.require("dijit.form.Button");
			dojo.require("dijit.form.ValidationTextBox");
			dojo.require("dijit.layout.TabContainer");
			
			dojo.registerModulePath("ibm", "../../dojotoolkitext/ibm");
			dojo.require("ibm.data.RESTItemStore");
			dojo.require("ibm.widget.PreferenceToggleButton");
			
			dojo.addOnLoad (function (event) {
					
				dojo.connect(commentingGridStore, "onNew", commentGridEdited);
				dojo.connect(commentingGridStore, "onSet", commentGridEdited);
				dojo.connect(commentingGridStore, "onDelete", commentGridEdited);
				
				dojo.connect(preferencesGridStore, "onNew", prefGridEdited);
				dojo.connect(preferencesGridStore, "onSet", prefGridEdited);
				dojo.connect(preferencesGridStore, "onDelete", prefGridEdited);
				
				dojo.connect(propertiesGridStore, "onNew", propGridEdited);
				dojo.connect(propertiesGridStore, "onSet", propGridEdited);
				dojo.connect(propertiesGridStore, "onDelete", propGridEdited);
				
				dojo.connect(dojo.byId('pluginID'), "onkeyup", validatePrefDialog);
				dojo.connect(dojo.byId('name'), "onkeyup", validatePrefDialog);
			});

            function validatePrefDialog(){
            
            	var pluginID = dijit.byId('pluginID');
            	var name = dijit.byId('name');
            
            
				var row = document.getElementById('pluginInputRow');
				if (row.style.display != 'none')
				{
	            	if (pluginID.textbox.value == '')
	            	{
	               		dijit.byId('prefDialogOK').attr('disabled',true);
	            		return false;
	                }
	            }
	            
            	if (name.textbox.value == '')
            	{
               		dijit.byId('prefDialogOK').attr('disabled',true);
            		return false;
                }

            	dijit.byId('prefDialogOK').attr('disabled',false);	
             	return true;                                        
            }
            
            function commentGridEdited(param)
            {
            	if(param)
            	{
	            	commentingGridStore.save({
	            		onComplete:function(){}
	            	});
	            }
            }	
            
            function prefGridEdited(param)
            {
            	if(param)
            	{
	            	preferencesGridStore.save({
	            		onComplete:function(){}
	            	});
	            }
            }	
            
            function propGridEdited(param)
            {
            	if(param)
            	{
	            	propertiesGridStore.save({
	            		onComplete:function(){}
	            	});
	            }
            }				
			
			// URL formatter - if an anchor is in the data, display it as a hyperlink in the grid
			function urlFormatter(name)
			{
				if (name.indexOf("&lt;a")>-1)
				{
					name = name.replace(/&lt;/g,'<');
					return name;
				}
				return name;
			}
			
			function add()
			{
				var row = document.getElementById('pluginInputRow');
				row.style.display = 'table-row';
				document.getElementById('pluginID').value='';
				document.getElementById('name').value='';
				document.getElementById('value').value='';
				dijit.byId('prefDialog').show();
			}
			
			function addProp()
			{
				var row = document.getElementById('pluginInputRow');
				row.style.display = 'none';
				document.getElementById('name').value='';
				document.getElementById('value').value='';
				dijit.byId('prefDialog').show();
			}
			
			function prefSet(pluginID,name,value)
			{
				var row = document.getElementById('pluginInputRow');
				if (row.style.display =='none')						
					propertiesGridStore.newItem({name:name,value:value});
				else
					preferencesGridStore.newItem({pluginID:pluginID,name:name,value:value,id:pluginID+'.'+name});
			}
			
			// Remove Button formatter - add a remove button to this cell
			function removeButtonFormatter(id)
			{
				return '<a href="javascript:remove(\''+id+'\')" class="gridRemove" style="width:25px;height:25px;" title="<%=MessageLibrary.getString("Remove",locale)%>">&nbsp;&nbsp;&nbsp;&nbsp;</a>';
			}
			
			// Remove Button formatter - add a remove button to this cell
			function descriptionFormatter(id)
			{
				var desc = '';
				if (id.indexOf("saveDirectory")>-1)
					desc = "Local file system directory to store comments: ";
					
				return desc+'('+id+')';
			}
			
			// Remove Button formatter - add a remove button to this cell
			function propRemoveButtonFormatter(name)
			{
				return '<a href="javascript:propRemove(\''+name+'\')" class="gridRemove" style="width:25px;height:25px;" title="<%=MessageLibrary.getString("Remove",locale)%>">&nbsp;&nbsp;&nbsp;&nbsp;</a>';
			}
			
			function remove(id)
			{
 				preferencesGridStore.fetch({
					query:{id:id},
					onItem:function(item){
						preferencesGridStore.deleteItem(item);
					}
				});
			}
			
			function propRemove(name)
			{
 				propertiesGridStore.fetch({
					query:{name:name},
					onItem:function(item){
						propertiesGridStore.deleteItem(item);
					}
				});
			}
			
			function enableCommenting(checked)
			{
			
			
			}
			
			function showAllToggled(checked)
			{
				var url;
				if (checked)
					url = "../com.ibm.ccl.help.war.about.servlets.PreferenceService/ALL";
				else
					url = "../com.ibm.ccl.help.war.about.servlets.PreferenceService/INFRASTRUCTURE";			
				
				preferencesGridStore = new ibm.data.RESTItemStore({
					clearOnClose:true,
					useIdentifier:true,
					url:url,
					saveURL:"../com.ibm.ccl.help.war.about.servlets.PreferenceService"
				});
				dojo.connect(preferencesGridStore, "onNew", prefGridEdited);
				dojo.connect(preferencesGridStore, "onSet", prefGridEdited);
				dojo.connect(preferencesGridStore, "onDelete", prefGridEdited);
				
				preferencesGrid.setStore(preferencesGridStore);

			}
				
		</script>
		<script type="text/javascript" src="scripts/about.js"></script> 
	</head>
	<body class="jazz">
    	<span dojoType="ibm.data.RESTItemStore" 
    		jsId="commentingGridStore"
    		clearOnClose="true"
    		useIdentifier="true"
    		url="../com.ibm.ccl.help.war.about.servlets.PreferenceService/COMMENTING"
    		saveURL="../com.ibm.ccl.help.war.about.servlets.PreferenceService">
    	</span>
    	<span dojoType="ibm.data.RESTItemStore" 
    		jsId="preferencesGridStore"
    		clearOnClose="true"
    		useIdentifier="true"
    		url="../com.ibm.ccl.help.war.about.servlets.PreferenceService/INFRASTRUCTURE"
    		saveURL="../com.ibm.ccl.help.war.about.servlets.PreferenceService">
    	</span>
    	<span dojoType="dojo.data.ItemFileWriteStore" 
    		jsId="addGridStore" 
    		data="{title:'test',identifier:'title',items:[{title:'<a href=javascript:add()>Add Preference</a>',empty:''} ]}">
    	</span>
    	<span dojoType="ibm.data.RESTItemStore" 
    		jsId="propertiesGridStore"
    		clearOnClose="true"
    		useIdentifier="true"
    		url="../com.ibm.ccl.help.war.about.servlets.PropertyService/ALL"
    		saveURL="../com.ibm.ccl.help.war.about.servlets.PropertyService">
    	</span>
    	<span dojoType="dojo.data.ItemFileWriteStore" 
    		jsId="addPropGridStore" 
    		data="{title:'test',identifier:'title',items:[{title:'<a href=javascript:addProp()>Add Property</a>',empty:''} ]}">
    	</span>
	
<%
	if (showBanner){
%>
		<!-- BEGIN IBM BANNER -->
		<div class="bannerContainer">
			<div class="headerContainer">
				<div class="headerCenter">
					<div class="headerLeft"></div>
					<div class="headerRight"></div>
				</div>
			</div>
			<div class="bannerContent">
				<div class="helpLogo"></div>
				<div class="helpTitle"><%=title%></div>
				<div class="ibmLogo"></div>
			</div>
		</div>
	    <!-- END IBM BANNER -->

		<table class="banneredTable jazz_clear" cellspacing="15" style="width:600px;">
<%
	}else{
%>	
		<table class="mainTable jazz_clear" cellspacing="15">
			<tr>
				<td colspan="5">
					<span class="mainTitle"><%=title%> | <%=MessageLibrary.getString("Version", locale)%> <%=AboutUtility.getWARVersion()%></div>
				</td>
			</tr>
<%
	}
%>	
			<tr>
				<td>
					<button dojoType="ibm.widget.PreferenceToggleButton" 
						id="debugCheck"
						url="../com.ibm.ccl.help.war.about.servlets.PreferenceService/com.ibm.ut.common.DEBUG"
						checked="<%=Preferences.get("com.ibm.ut.common","DEBUG").equals("true")%>"
						iconClass="dijitCheckBoxIcon">
							 Infrastructure Debug
					</button>
				</td>
			</tr>
			<tr>
				<td style="width:500px;">
					<div class="jazz_clear"
						dojoType="dijit.TitlePane"
						id="featurePane"
						jsId="featurePane"
						title="Features">
	    				<div dojoType="dijit.layout.TabContainer" style="height: 350px;" id="featureTabs" jsId="featureTabs">
	        				<div id="filteringTab"
	        					dojoType="dijit.layout.ContentPane" 
	        					title="Filtering" 
	        					selected="true"
	        					jsId="filteringTab"
	        					style="height:350px">
	        					
								<button dojoType="ibm.widget.PreferenceToggleButton" 
									id="filteringCheck"
									url="../com.ibm.ccl.help.war.about.servlets.PreferenceService/com.ibm.ccl.ua.filtering.ui.rescope"
									checked="<%=Preferences.get("com.ibm.ccl.ua.filtering.ui","rescope").equals("true")%>"
									iconClass="dijitCheckBoxIcon">
										 Enable Filtering
								</button>
	        					<br/>
								<button dojoType="ibm.widget.PreferenceToggleButton" 
									id="filteringTocDebugCheck"
									url="../com.ibm.ccl.help.war.about.servlets.PreferenceService/com.ibm.ccl.ua.filtering.ui.showInToc"
									checked="<%=Preferences.get("com.ibm.ccl.ua.filtering.ui","showInToc").equals("true")%>"
									iconClass="dijitCheckBoxIcon">
										 Show Metadata in TOC (Debug)
								</button>
								<i> - Requires a restart of the Help System / Server</i>
<!--	        					<br/>
								<button dojoType="ibm.widget.PreferenceToggleButton" 
									id="filteringTopicDebugCheck"
									url="../com.ibm.ccl.help.war.about.servlets.PreferenceService/com.ibm.ccl.ua.filtering.ui.showInTopic"
									checked="<%=Preferences.get("com.ibm.ccl.ua.filtering.ui","showInTopic").equals("true")%>"
									iconClass="dijitCheckBoxIcon">
										 Show Metadata in Topic (Debug)
								</button>
-->
	        					<p>To enable filtering by default, add the following to the plugin_customization.ini, usually found 
	        					in the root of your product plugin:<br/>
								<code style="line-height:3em;">com.ibm.ccl.ua.filtering.ui/rescope=true</code><br/>
	        					This preference will be set on the file system of the machine that runs / serves this help system.<br/>
	        					<code style="line-height:3em;">workspace\.metadata\.plugins\org.eclipse.core.runtime\.settings\com.ibm.ccl.ua.filtering.ui.prefs</code></p>
	        					
<!--								<b><a href="../topic/com.ibm.ccl.ua.filtering.ui/scripts/Filtering.html">Filtering Topic</a></b><br/>-->
								<table>
									<tr>
										<th><b>Metadata Links</b></th>
									</tr>
									<tr>
										<td>Ditamaps:</td>
										<td><a href="../com.ibm.ccl.ut.help.info.dita/ditamap">../com.ibm.ccl.ut.help.info.dita/ditamap</a></td>
									</tr>
									<tr>
										<td>TOC Nav:</td>
										<td><a href="../com.ibm.ccl.ut.help.info.dita/nav">../com.ibm.ccl.ut.help.info.dita/nav</a></td>
									</tr>
									<tr>
										<td>Remote XML:</td>
										<td><a href="../com.ibm.ccl.ut.help.info.dita/xml">../com.ibm.ccl.ut.help.info.dita/xml</a></td>
									</tr>
								</table>
							</div>
	        				<div id="commentingTab"
	        					dojoType="dijit.layout.ContentPane" 
	        					title="Commenting" 
	        					selected="true"
	        					jsId="commentingTab"
	        					style="height:200px">

								<button dojoType="ibm.widget.PreferenceToggleButton" 
									id="commentingCheck"
									url="../com.ibm.ccl.help.war.about.servlets.PreferenceService/com.ibm.ut.commenter.comments"
									checked="<%=Preferences.get("com.ibm.ut.commenter","comments").equals("true")%>"
									iconClass="dijitCheckBoxIcon">
										 Enable Commenting
								</button>
	        					<p>To enable commenting by default, add the following to the plugin_customization.ini, usually found 
	        					in the root of your product plugin:<br/>
								<code style="line-height:3em;">com.ibm.ut.commenter/comments=true<br/>
								com.ibm.ut.commenter/saveDirectory=[save location]</code><br/>
	        					This preference will be set on the file system of the machine that runs / serves this help system.<br/>
	        					<code style="line-height:3em;">workspace\.metadata\.plugins\org.eclipse.core.runtime\.settings\com.ibm.ut.commenter.prefs</code></p>
								
								<table id="commentingGrid"
									dojoType="dojox.grid.DataGrid"
									jsId="commentingGrid"
									store="commentingGridStore"
									clientSort="true"
									query="{id: '*'}"
									rowSelector="20px"
									autoheight="true"
									selectionMode="single">
									<thead>
										<tr>
											<th width="450px" field="id" formatter="descriptionFormatter">
												Description
											</th>
											<th width="300px" field="value" editable="true">
												Value
											</th>
										</tr>
									</thead>
								</table>
							</div>
	        				<div id="pdfTab"
	        					dojoType="dijit.layout.ContentPane" 
	        					title="PDF" 
	        					selected="true"
	        					jsId="pdfTab"
	        					style="height:200px">
	        					
								<button dojoType="ibm.widget.PreferenceToggleButton" 
									id="pdfCheck"
									url="../com.ibm.ccl.help.war.about.servlets.PreferenceService/com.ibm.ccl.ut.pdf.enabled"
									checked="<%=Preferences.get("com.ibm.ccl.ut.pdf","enabled").equals("true")%>"
									iconClass="dijitCheckBoxIcon">
										 Enable PDF Generator
								</button>
								<p>To enable filtering by default, add the following to the plugin_customization.ini, usually found 
	        					in the root of your product plugin:<br/>
								<code style="line-height:3em;">com.ibm.ccl.ut.pdf/enabled=true</code><br/>
	        					This preference will be set on the file system of the machine that runs / serves this help system.<br/>
	        					<code style="line-height:3em;">workspace\.metadata\.plugins\org.eclipse.core.runtime\.settings\com.ibm.ccl.ut.pdf.prefs</code></p>
								
							</div>							
						</div>
					</div>
				</td>
			</tr>		
			<tr>
				<td>
					<div class="jazz_clear"
						dojoType="dijit.TitlePane"
						id="configPane"
						jsId="configPane"
						title="Configuration">
				
	    				<div dojoType="dijit.layout.TabContainer" style="height: 3000px;" id="configTabs" jsId="configTabs">
	        				<div id="preferencesTab"
	        					dojoType="dijit.layout.ContentPane" 
	        					title="Preferences" 
	        					selected="true"
	        					jsId="preferencesTab"
	        					style="height:300px">
								<button dojoType="dijit.form.ToggleButton" 
									id="showAllCheck"
									onChange="showAllToggled(arguments[0]);" 
									iconClass="dijitCheckBoxIcon">
										 Show all set preferences
								</button>
								<table id="preferencesGrid"
									dojoType="dojox.grid.DataGrid"
									jsId="preferencesGrid"
									store="preferencesGridStore"
									clientSort="true"
									query="{id: '*'}"
									rowSelector="20px"
									autoheight="true"
									selectionMode="single">
									<thead>
										<tr>
											<th width="200px" field="pluginID">
												Plugin
											</th>
											<th width="200px" field="name">
												Name
											</th>
											<th width="200px" field="value" editable="true">
												Value
											</th>
											<th width="50px" field="id" formatter="removeButtonFormatter">
												&nbsp;
											</th>
										</tr>
									</thead>
								</table>
								<table id="addGrid"
									jsId="addGrid"
									dojoType="dojox.grid.DataGrid"
									query="{ title: '*' }"
									store="addGridStore"
									clientSort="true"
									rowSelector="16px"
									selectionMode="none"
									autoheight="true"
									class="no-header">
									<thead>
										<tr>
											<th width="30px" field="empty">
												&nbsp;
											</th>
											<th width="100%" field="title" formatter="urlFormatter">
												<%=MessageLibrary.getString("Name",locale)%>
											</th>
										</tr>
									</thead>
								</table>
							</div>
	        				<div id="propertiesTab"
	        					jsId="propertiesTab"
	        					dojoType="dijit.layout.ContentPane" 
	        					title="Properties">
								<table id="propertiesGrid"
									dojoType="dojox.grid.DataGrid"
									jsId="propertiesGrid"
									store="propertiesGridStore"
									clientSort="true"
									query="{name: '*'}"
									rowSelector="20px"
									autoheight="true"
									selectionMode="single">
									<thead>
										<tr>
											<th width="250px" field="name">
												Name
											</th>
											<th width="400px" field="value" editable="true">
												Value
											</th>
											<th width="50px" field="name" formatter="propRemoveButtonFormatter">
												&nbsp;
											</th>
										</tr>
									</thead>
								</table>
								<table id="addPropGrid"
									jsId="addPropGrid"
									dojoType="dojox.grid.DataGrid"
									query="{ title: '*' }"
									store="addPropGridStore"
									clientSort="true"
									rowSelector="16px"
									selectionMode="none"
									autoheight="true"
									class="no-header">
									<thead>
										<tr>
											<th width="30px" field="empty">
												&nbsp;
											</th>
											<th width="100%" field="title" formatter="urlFormatter">
												<%=MessageLibrary.getString("Name",locale)%>
											</th>
										</tr>
									</thead>
								</table>        				
	        				</div>
	        				<div id="sitesTab"
	        					jsId="sitesTab"
	        					dojoType="dijit.layout.ContentPane" 
	        					title="Public Sites">
	        						<iframe src="http://publib.boulder.ibm.com/infocenter/radhelp/v8/rss/sites.rss" id="iframe" name="iframe" style="overflow:visible; width:100%;height:100%;" frameborder="0"></iframe> 
							</div>
						</div>
					</div>
				</td>
			</tr>		
		</table>
		
		
		<div dojoType="dijit.Dialog" id="prefDialog" title="Set Preference / Property" style="overflow: hidden;">
			<table>
				<tr id="pluginInputRow">
					<td>Plugin</td>
					<td><input name="pluginID" id="pluginID" required="true" dojotype="dijit.form.ValidationTextBox"/></td>
				</tr>
				<tr>	
					<td>Preference Name</td>
					<td><input name="name" id="name" required="true" dojotype="dijit.form.ValidationTextBox"/></td>
				</tr>
				<tr>	
					<td>Preference Value</td>
					<td><input name="value" id="value" required="false" dojotype="dijit.form.ValidationTextBox"/></td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td>
						<button id="prefDialogOK" dojoType="dijit.form.Button" type="submit" 
							onclick="prefSet(dijit.byId('pluginID').textbox.value, dijit.byId('name').textbox.value, dijit.byId('value').textbox.value)" disabled="true">OK</button>
						<button id="prefDialogCancel" dojoType="dijit.form.Button" type="submit" onclick="javascript:dijit.byId('prefDialog').hide()">Cancel</button>
					</td>
				</tr>	
			</table>
		</div>
	</body>
</html>
