<%@
page import="java.util.*, org.eclipse.help.internal.webapp.data.*, com.ibm.ut.common.*, com.ibm.ut.common.web.*"  contentType="text/html; charset=UTF-8"
%><% 
request.setCharacterEncoding("UTF-8");
boolean isRTL = UrlUtil.isRTL(request, response);
String  direction = isRTL?"rtl":"ltr";
if (new RequestData(application,request, response).isMozilla()) {
%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<% 
} else {
%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%
}
%>

<% 
	WorkingSetManagerData data = new WorkingSetManagerData(application, request, response);
	WebappPreferences prefs = data.getPrefs();
	String dataSaveError = data.getSaveError();
	
	// Localization of Strings
	Locale locale =  LocaleUtil.getLocale(request);
	String actualLocale = locale.toString().replace('_', '-');
	String userSelLocale = UrlUtil.getLocale(request, response);
%>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=7" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<meta http-equiv="Pragma" content="no-cache">
		<meta http-equiv="Expires" content="-1">
		<title><%=MessageLibrary.getString("Filtering",locale)%></title>
		<style type="text/css">
			
			@import "../dojotoolkit/dojo/resources/dojo.css";
			@import "../dojotoolkit/dijit/themes/soria/soria.css";
			
			<%@ include file="css/filter.css"%>
			
		</style>
		
		<style type="text/css">
			HTML, BODY {
				width:100%;
				height:100%;
				margin:0px;
				padding:0px;
				border:0px;
			}
			
			BODY {
			    font:<%=prefs.getViewFont()%>;
				background-color: <%=prefs.getToolbarBackground()%>;
				color:WindowText; 	
			}
			
			TABLE {
				width:auto;
				margin:0px;
				padding:0px;
			}
			
			TD, TR {
				margin:0px;
				padding:0px;
				border:0px;
			}
			
			BUTTON {
				font:<%=prefs.getViewFont()%>;
				margin:5px;
			}
			
			BUTTON {
			    font-size:1.0em; 
			}
			
			FORM {
			    margin: 0px;
			    border: 0px;
			}
			
			#workingSetContainer {
				color:WindowText; 
				border: 2px inset ThreeDHighlight;
				margin:0px 5px;
				padding:5px;
				overflow:auto;
				height:150px;
				background:Window;
			}
			
			#buttonArea {
			    height:2em; 
<%
				if (data.isMozilla()) {
%>
			    	padding-bottom:5px;
<%
				}
%>
			}
		</style>
		<script type="text/javascript" src="../dojotoolkit/dojo/dojo.js" djConfig="isDebug:false, parseOnLoad:true, locale:'<%= actualLocale %>'"></script>
		
		<script type="text/javascript">
			
			dojo.require("dojo.data.ItemFileWriteStore");
			dojo.require("dijit.Tree");
			//dojo.require("dojo.i18n");
			//dojo.require("dojo._base.json");
			
			dojo.require("dojo.parser");    // scan page for widgets and instantiate them
			
			//dojo.registerModulePath("translations", "../../updater/translations");
			//dojo.requireLocalization("translations", "updater_strings");
			
			// ==========================================================================
			//  GLOBAL VARIABLES  
			// ==========================================================================
			
			//var I18N_Obj = dojo.i18n.getLocalization("translations", "updater_strings");
			var FILTER_JSON_DATA_ITEMS = null;
			var BASIC_JSON = null;
			var ADVANCED_JSON = null;
			var IS_BASIC = true;
			var IS_MODIFIED = false;
			var ON_VAL = '';
			var OFF_VAL = '';
			var SCOPE = '';
			var SCOPE_SEPARATOR = '|';
			var FILTER_COOKIES = '';
			var FILTER_SEPARATOR = '##';
			var FILTER_ID_SEPARATOR = ',';
			
			var cookiesRequiredMsg = 'This feature requires cookies to be enabled in your browser.';
			var TOPIC_WHAT_IS_THIS = '';
			
			var USER_LOCALE = "<%=userSelLocale%>";
			
			// ==========================================================================
			//  END GLOBAL VARIABLES  
			// ==========================================================================
			
			dojo.addOnLoad (function (event) {
				updateTree();
				onResize();
			});
			
			function onloadHandler() {
				
<%if(dataSaveError != null){%>
				alert("<%=dataSaveError%>");
				window.location="filter.jsp"
<%}
				if(!data.isMozilla() || "1.3".compareTo(data.getMozillaVersion()) <=0){
				// buttons are not resized immediately on mozilla before 1.3
%>
				sizeButtons();
<%}%>
				enableButtons();
				onResize();
				document.getElementById("workingSetContainer").focus();
			}
			
			function onResize() {
			    resizeVertical("workingSetContainer", "buttonArea", null, 100, 30);
			}
		</script>
		
		<script type="text/javascript" src="scripts/filter.js"></script>
		<script type="text/javascript" src="scripts/utils.js"></script>
		<script type="text/javascript" src="scripts/CheckTree.js"></script>
		<script language="JavaScript" src="../advanced/resize.js"></script>
	<!--<script language="JavaScript" src="../advanced/utils.js"></script>-->
	</head>
	<body class="soria" dir="<%=direction%>" onload="onloadHandler()" onunload="closeChildDialog()" onresize = "onResize()">
		
		<form onsubmit="updateFilters();return false;" style="background:<%=prefs.getToolbarBackground()%>;">
			
			<div id="workingSetContainer"></div>
			
			<div id="buttonArea">
<!--
				<table cellspacing=0 cellpadding=0 border=0 style="background:transparent;">
					<tr>
						<td>
							<button type="button" alt="Toggle Filter Content Tree" title="Toggle Filter Content Tree" name="toggleTree" id="toggleTree" onclick="togglePage()">Advanced</button>
						</td>
						<td>
							<button type="button" alt="Reset Filter Content Tree" title="Reset Filter Content Tree" name="resetTree" id="resetTree" onclick="resetTree()">Reset</button>
						</td>
					</tr>
				</table>
-->
				<table align="<%=isRTL?"left":"right"%>" style="background:<%=prefs.getToolbarBackground()%>;width:100%;">
					<tr id="buttonsTable">
						<td>
							&nbsp;&nbsp;&nbsp;&nbsp;<a href="javascript:selectAll();"><%=MessageLibrary.getString("SelectAll",locale)%></a>
						</td>
						<td align="<%=isRTL?"right":"left"%>">
				  			<table cellspacing=0 cellpadding=0 border=0 style="background:transparent;">
								<tr>
									<td>
<!--									<a onmouseout="window.status='';" onmouseover="window.status='What\u0020is\u0020this?'; return true;" alt="What is this?" title="What is this?" href="javascript:openWhatIsThis();" id="filterHelpLabel">What is this?</a> -->
									</td>
								</tr>
				  			</table>
						</td>
						<td align="<%=isRTL?"left":"right"%>">
				  			<table cellspacing=0 cellpadding=0 border=0 style="background:transparent;">
								<tr>
									<td>
										<button type="submit" id="ok" onclick="updateFilters();window.close();"><%=MessageLibrary.getString("OK",locale)%></button>
									</td>
									<td>
									  	<button type="reset" onclick="window.close()" id="cancel"><%=MessageLibrary.getString("Cancel",locale)%></button>
									</td>
								</tr>
				  			</table>
						</td>
					</tr>
				</table>
			</div>
		</form>
	</body>
</html>
	    