<?xml version="1.0" encoding="UTF-8"?>
<%@ page contentType="application/x-oslc-compact+xml" language="java"%>

<%
	Properties root = (Properties)request.getAttribute("root");
%>
<rdf:RDF 
    xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
	xmlns:dcterms="http://purl.org/dc/terms/"
	xmlns:oslc="http://open-services.net/ns/core#"
	xmlns:foaf="http://http://xmlns.com/foaf/0.1/">

<%
	<oslc:Comment rdf:about="<%= bugUri %>">	
		<rdf:type rdf:resource="http://open-services.net/ns/cm#ChangeRequest" />

		<dcterms:title><%=      bug.getSummary() %></dcterms:title>
		<dcterms:identifier><%= bug.getID() %></dcterms:identifier>
		<dcterms:contributor>
		  <foaf:Person>
			<foaf:name><%=      bug.getInternalState().get("assigned_to") %></foaf:name>
		  </foaf:Person> 
		</dcterms:contributor>

		<oslc_cm:status><%=     bug.getStatus() %></oslc_cm:status>

		<dcterms:modified><%=   bug.getInternalState().get("last_change_time") %></dcterms:modified>
		<dcterms:created><%=    bug.getInternalState().get("creation_time") %></dcterms:created>

		<bugz:product><%=       bug.getProduct() %></bugz:product>		
		<bugz:component><%=     bug.getComponent() %></bugz:component>		
		<bugz:version><%=       bug.getVersion() %></bugz:version>		
		<bugz:priority><%=      bug.getPriority().name() %></bugz:priority>		
		<bugz:platform><%=      bug.getPlatform() %></bugz:platform>		
		<bugz:opsys><%=         bug.getOpsys() %></bugz:opsys>		

	</oslc_cm:ChangeRequest>

</rdf:RDF>

