
var logPage;
var json;

function select(div,url)
{
	var divs = getElementsByClass("toolLink");
	for (var d=0;d<divs.length;d++)
	{
		replaceClass(divs[d],"selected","");
	}

	addClass(div,'selected');
	load(url);
}

function hover(div)
{
	addClass(div,'hover_selected');
}
function leave(div)
{
	replaceClass(div,'hover_selected','');
}

function load(url)
{
	iframe.location.href = url;
}

function frameLoad()
{
	var height=650;
	if (iframe.document.height+30 > height)
		height = iframe.document.height+30;
	
	document.getElementById('iframe').style.height = height+'px';
} 

function addClass(object,newCls)
{
	var cls = object.getAttribute("class");
	if (cls==null)
		cls = "";

	if (cls.indexOf(newCls)>-1)
		return;
	
	cls = cls+" "+newCls;		
	object.setAttribute("class",cls);
}	


function replaceClass(object,oldCls,newCls)
{
	var cls = object.getAttribute("class");
	if (cls==null)
		return;
	
	if (cls.indexOf(oldCls)>-1){
		cls = cls.replace(oldCls,newCls);		
		object.setAttribute("class",cls);
	}
}	


function getElementsByClass(className)
{
	var all = document.getElementsByTagName("*");
	var match = [];
	var count = 0;
	
	for(var a=0;a<all.length;a++)
	{
		if (all[a].getAttribute("class")!=null && all[a].getAttribute("class").indexOf(className)>-1){
			match[count] = all[a];
			count++;
		}	
	}
	return match;
}

function buildAccessChart()
{
/*
	dojo.xhrGet( {
		url : '../com.ibm.ccl.help.webapp.war.updater.servlets.TopicStatisticsService',
		content:{
			max:10
		},
		handleAs : "json",
		load : function(data) {
			json = data;
		
			var accessChart = new dojox.charting.Chart2D("accessChart");
			accessChart.addPlot("default", {
		        type: "Columns",
		        markers: true,
		        gap: 5
		    });
			
			accessChart.setTheme(dojox.charting.themes.MiamiNice);
			accessChart.addPlot("default", {type: "Bars",gap:5});
		    accessChart.addAxis("x", {
		    	min:0,
				microTicks: false,
				minorTicks: false,
				minorLabels: false
			});
		    
		    var labelProps = new Array(data.items.length);
		    
		    for (var i=0;i<data.items.length;i++)
		    {
		    	labelProps[i] = {value: i+1, text: data.items[i].count+""};
		    }
		    accessChart.addAxis("y", { 
		    	vertical: true,
		    	labels: labelProps,
				natural: false,
				fixed: true,
				microTicks: false,
				minorTicks: false,
				minorLabels: false,
				to: labelProps.length+.5});
		    	
			var countNumbers = new Array(data.items.length);
			for (var i=0;i<data.items.length;i++)
			{
				countNumbers[i] = data.items[i].count;//parseInt(counts[c]);
				var tmpArray = new Array(0);
				for (var t=0;t<i;t++)
				{
					tmpArray[t]=0;
				}
				tmpArray[i] = data.items[i].count;//parseInt(counts[c]);
				accessChart.addSeries("Page "+i,tmpArray);
			}
			
    		accessChart.connectToPlot("default",function(evt) {
		        if(evt.type == "onclick") {
					load('../nftopic'+json.items[(evt.y-1.5)].href);
		        }
		    });

			new dojox.charting.action2d.Highlight(accessChart,"default");
			new dojox.charting.action2d.Tooltip(accessChart,"default",{
				text: function(o) {
					return '<b>'+json.items[(o.y-1.5)].title+'</b><br/>'+json.items[(o.y-1.5)].href;
				} 
			});	
			accessChart.render();
		},
		error : function(data) {}
	});
	*/
}

function getFromXML(tag,data)
{
	var values = '';
	var val;
	
	var exp = new RegExp("[^\\>]+(?=\\<\\/"+tag+"\\>)");
	
	do {
		var i = data.search(exp);
		val = exp.exec(data);
		
		if (val!=null)
		{
			values+=val+'>';
			data = data.substring(data.indexOf("</"+tag+">")+1);
		}
	}
	while (val!=null);
	
	var length = values.length;
	if (values!='')
		values = values.substring(0,length-1);
	
	return values.split('>');
}

function checkIBMAccess()
{
	dojo.xhrGet( {
		url : 'connection',
		content : {
			url : 'http://publib.boulder.ibm.com/infocenter/'
		},
		handleAs : "text",
		load : function(data) {
			document.getElementById('connectionStatus').innerHTML = '<span class="connected">'+connectedLabel+'</span>';
		},
		error : function(data) {
			document.getElementById('connectionStatus').innerHTML = '<span class="disconnected">'+disconnectedLabel+'</span>';
		}
	});
}

function viewNextLog()
{
	viewLog(logPage+1);
}

function viewPrevLog()
{
	viewLog(logPage-1);
}


function viewLog(page) {
	
	logPage = page;
	
	dojo.xhrGet( {
		url : '../about/viewLog',
		handleAs : "text",
		content : {
			f:'html',
			lines:((page*100)-100)+','+(page*100)
		},
		load : function(data) {
			document.getElementById('rawLog').innerHTML = data;
		},
		error : function(data) {

		}
	});
}

function parseLog(data)
{
	var handler = new TagHandler();
	handler.startElement=function(element){
		;
	}

	var parser = new TagParser(data,handler);
}