﻿/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2010 - All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

// --------------------------------------------------
// Localized Strings -- User Assistance Web Delivery 
// --------------------------------------------------

{
updateInProgressMsg : "Observação: Não clique no botão voltar do navegador enquanto a atualização estiver em progresso",
installInProgressMsg : "Observação: Não clique no botão voltar do navegador enquanto a instalação estiver em progresso",
uninstallInProgressMsg : "Observação: Não clique no botão voltar do navegador enquanto a desinstalação estiver em progresso",
publicSiteslbl : "Sites Públicos",
internalSiteslbl : "Sites Internos",
siteNamelbl :  "Nomes",
siteLoclbl : "Local",
availFeaturelbl : "Recursos Disponíveis",
installFeaturelbl : "Recursos Instalados",
featureDesclbl : "Descrição do Recurso",
includedFeatureslbl : "Recursos Incluídos",
installlbl : "Instalar",
removelbl : "Remover",
featurelbl : "Recurso",
installSizelbl : "Tamanho da Instalação",
statuslbl : "Status",
addSitelbl : "Incluir Site Interno",
viewEditSitelbl : "Visualizar e Editar Site Interno",
siteTypelbl : "Tipo de Site",
namelbl :  "Nomes",
oklbl : "OK", 
cancellbl : "Cancelar",
restartmsg : "O sistema de ajuda será reiniciado agora para que as alterações entrem em vigor",
installfailedmsg : "Falha ao instalar recurso",
errorConnectmsg : "Não é possível se conectar à URL do site",
noFeaturemsg : "Nenhum recurso localizado",
searchFeaturemsg : "Procurar atualizações",
seeLogMsg : "Consultar log para obter mais detalhes",

featureDescriptionlbl : "Descrição do Recurso",
includedFeaturelbl: "Recursos Incluídos",
clearlbl : "Limpar",
messagelbl : "Mensagem",
typelbl : "Tipo",
warninglbl : "Aviso",
messageerrorlbl : "Erro",
infolbl : "Informação",
installingFeaturelbl : "Instalando recurso",
uninstallingFeaturelbl : "Desinstalando recurso", 
updatesAppliedlbl : "Atualizações aplicadas",
sitesSavedlbl : "Sites salvos com êxito",
savingSitelbl : "Salvando site local",
locallbl : "Local",
remotelbl : "Remota",
processFeatureslbl : "Processando Recursos...",
restartWaitlbl : "Aguarde enquanto o sistema de ajuda é reiniciado para que as alterações entrem em vigor.",
platformResetlbl : "A plataforma foi reconfigurada. Deve-se reiniciar o produto para que as alterações entrem em vigor.",
retrieveFeatureslbl : "Recuperando Recursos...",
contactServerlbl : "Contatando Servidor...",
searchForUpdateslbl : "Procurando atualizações...",
prepareInstalllbl : "Preparando para instalar...",
prepareUninstalllbl : "Preparando para desinstalar..",
selectUpdateSitelbl : "Selecionar sites para procurar atualizações.",
errorResettinglbl : "Erro ao reiniciar o sistema de ajuda",
errorConnectingPlatformlbl: "Erro ao conectar com a plataforma",
runinbckgrndlbl : "Execução em Segundo Plano",
errorFFBrowserSecuritylbl : 'Não é possível acessar os arquivos locais devido às configurações de segurança do navegador.<br/>Execute as seguintes etapas para acessar os arquivos locais:<br/>(1) No campo URL da janela do navegador, digite about:config. A página de preferências de configuração é exibida no navegador.<br/>(2) Na página preferência de configuração exibida, clique com o botão direito e selecione Novo >Booleano no menu de contexto.<br/>(3) Digite "signed.applets.codebase_principal_support" (sem as aspas) como um novo nome de preferência.<br/>(4) Clique em OK.<br/>(5)Tente incluir o arquivo "site.xml" novamente.',
errorRelativePathNotAllowed : "O arquivo '{0}' não pode ser carregado: caminhos relativos não são permitidos. Forneça um caminho absoluto para este arquivo.",
errorFileNotFound : "O arquivo '{0}' não foi localizado.",
errorIEBrowserSecuritylbl : 'Não é possível acessar os arquivos locais devido às configurações de segurança do navegador.<br/>Execute as seguintes etapas para acessar os arquivos locais:<br/>(1) Clique em Ferramentas > Opções da Internet na janela do Internet Explorer.<br/>(2) Na guia Segurança, clique em Nível Customizado.<br/>(3) Ative a configuração Inicializar e os controles ActiveX de script não marcados como seguros.<br/>(4) Clique em OK.<br/>(5) Tente incluir o arquivo "site.xml" novamente.',
errorNoFilePermission : "Não é possível acessar o arquivo local '{0}' devido às permissões de arquivo. Certifique-se de que o arquivo e/ou diretórios pais estejam legíveis.",
infoOperationRunning : "Uma operação está em execução.<br/>Aguarde...",
errorReadFeatureList : "Ocorreu um erro durante a leitura dos recursos selecionados",
infoInstallDependencyFeature : "O recurso selecionado requer {0}.<br/><br/>Para visualizar os tópicos da ajuda, {1} também deve estar instalado.",
infoUninstallDependencyFeature : "{0} requer o recurso que você selecionou para desinstalação.<br/><br/>{1} também precisa ser desinstalado.",
confirmCancelInstall : "Cancelar a instalação atual causará o retrocesso ao estado antigo, o que levará alguns minutos. Deseja continuar?",
readPendingTask : "Lendo qualquer operação pendente da última sessão.<br/>Aguarde...",
readRollbackFeatureList : "Lendo informações do recurso para retroceder a instalação atual.<br/>Aguarde...",
errorReadPendingTaskFailed : "Ocorreu um erro durante a leitura da operação pendente da última sessão",
infoCancelInProgress : "Cancelando a operação atual.<br/>Aguarde...",
allsiteslbl : "Todos os sites",
publicsiteslbl : "Sites Públicos",
internalsiteslbl : "Sites Internos",
installedappcontentlbl : "Conteúdo de Aplicativo Instalado",
downloadfeatures : "Fazendo Download de Recursos...",
installfeatures : "Instalando software...",
uninstallfeatures : "Removendo Software...",
updatefeatures : "Atualizando Software...",
showstatuslbl : "Mostrar detalhes",
aboutLocalHelpSystem : "Sobre o Sistema de Ajuda Local...",
lhuTitle : "Atualizador da Ajuda Local",
dependencyFound : "Dependência Localizada"
}
