<%@ page language="java" import="org.eclipse.help.HelpSystem, java.util.*, com.ibm.war.updater.activator.*, com.ibm.ut.common.web.*, com.ibm.ut.common.*, com.ibm.ut.common.security.*, com.ibm.war.updater.utils.*, javax.servlet.http.*, org.eclipse.core.runtime.Preferences;" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<%
	response.setHeader("Cache-Control", "no-store, no-cache, must-revalidate");
	
	String securityType = AccessManager.getAccessType();//Activator.getDefault().getBundle().getBundleContext().getProperty("help.war.security");
	String requestHost="";
	if(securityType==null || securityType.contains("local"))
	{
		//Check if request coming from local host.  IF not, redirect to 403 (Forbidden).
		requestHost=request.getRemoteHost().toLowerCase();
		String ipAddress=LocalHostUtility.getLocalIP();
		String machineName=LocalHostUtility.getMachineName();
		if(!(requestHost.equals("127.0.0.1") || requestHost.equals("localhost") || requestHost.equals(ipAddress) || requestHost.equals(machineName) || requestHost.equals("localhost.localdomain") || requestHost.equals("::1")))
		{
			response.sendError(response.SC_FORBIDDEN);
		}
	}
	else if(securityType.contains("remote"))
	{
		Authenticator.authenticate(request,response);
	}
	
	//Get Resource bundle
	
    //Localization of Strings
	Locale locale = LocaleUtil.getLocale(request);
	String lang = locale.toString();
	String localeName = lang.replace('_', '-');
	
	ArrayList filesToDelete = (ArrayList)session.getAttribute("filesToDelete");
	if(filesToDelete!=null)
		session.setAttribute("filesToDelete",null);		

	String clearCacheURL = request.getParameter("clearCacheURL");
	session.setAttribute("clearCacheURL",clearCacheURL);	
	
	String optionsDialogTitle = Messages.getString("addSitelbl", locale).replace("\"","");
	String progressDialogTitle = Messages.getString("processFeatureslbl", locale).replace("\"","");
	String errorMessageLabelDialogTitle = Messages.getString("messageerrorlbl", locale).replace("\"","");
	String warningMessageLabelDialogTitle = Messages.getString("warninglbl", locale).replace("\"","");
	String dependencyFoundDialogTitle = Messages.getString("dependencyFound", locale).replace("\"","");
	
	boolean showBanner = request.getParameter("banner")==null || request.getParameter("banner").equals("true");
	
%>

<html>
    <head>
    	<meta http-equiv="PRAGMA" content="NO-CACHE">
    	<meta http-equiv="X-UA-Compatible" content="IE=7" />
        <title><%= Messages.getString("lhuTitle", locale)%></title>
        <link rel="STYLESHEET" type="text/css" href="../topic/com.ibm.ccl.help.webapp.war.updater/banner/banner.css" />
        <link rel="STYLESHEET" type="text/css" href="../topic/com.ibm.ccl.help.webapp.war.updater/css/admin.css" />
	    <link rel="STYLESHEET" type="text/css" href="../topic/com.ibm.ut.common/css/utcommon.css" />
        <script type="text/javascript" src="../com.ibm.ccl.help.webapp.war.updater.servlets.TranslationsService/com.ibm.war.updater.utils.messages.js?lang=<%=lang%>"></script>
        
        <style type="text/css">
            @import "../dojotoolkit/dojo/resources/dojo.css";
            @import "../dojotoolkitext/ibm/themes/jazz/jazz.css";
            @import "../dojotoolkitext/ibm/themes/jazz/Grid.css";
			@import "../dojotoolkit/dojox/form/resources/FileInput.css";
			@import "../dojotoolkitext/ibm/widget/resources/FileInput.css";
			@import "../dojotoolkitext/ibm/widget/resources/CheckTree.css";
			
			@import "css/customStyles.css";
			@import "css/configuration.css";
			
            html, body {
            	width:100%; /* make the body expand to fill the visible window */
            	height:100%;
            	min-height:900px;
            /*	overflow: hidden; /* erase window level scrollbars */
            	padding: 0 0 0 0;
            	margin: 0 0 0 0;
            /*	color: WindowText;  */
            	font: icon;
            }
        </style>
        <script type="text/javascript" src="../dojotoolkit/dojo/dojo.js" djConfig="isDebug:false, parseOnLoad: true, locale:'<%= localeName %>'"></script>
		
        <script type="text/javascript">dojo.require("dijit.layout.BorderContainer");
			dojo.require("dijit.layout.ContentPane");
			dojo.require("dijit.TitlePane");
			dojo.require("dijit.ProgressBar");
			dojo.require("dijit.Menu");
			dojo.require("dojox.grid.DataGrid");
			dojo.require("dijit.form.Select");
			dojo.require("dijit.form.ToggleButton");
			dojo.require("dijit.layout.TabContainer");
			dojo.require("dijit.Toolbar");
			dojo.require("dijit.Dialog");
			dojo.require("dojo.fx");
			dojo.require("dojox.collections.ArrayList");
			dojo.require("dojo.i18n");
			dojo.require("dijit.form.CheckBox");
			dojo.require("dojo.data.ItemFileReadStore");
			dojo.require("dojo._base.json");
			dojo.require("dijit.form.ValidationTextBox");
			
			dojo.require("dojo.parser");    // scan page for widgets and instantiate them
			dojo.require("dijit.form.TextBox");
			dojo.require("dijit.Tooltip");
			
			dojo.registerModulePath("translations", "../../updater/translations");
			dojo.requireLocalization("translations", "updater_strings");
			
			dojo.registerModulePath("ibm", "../../dojotoolkitext/ibm");
			dojo.require("ibm.widget.CheckTree");
			dojo.require("ibm.widget.FileInput");
			dojo.require("ibm.widget.TooltipEx");
			
			var ALL_SITES = <%= Messages.getString("allsiteslbl", locale)%>;
			var PUBLIC_SITES = <%= Messages.getString("publicsiteslbl", locale)%>;
			var INTERNAL_SITES = <%= Messages.getString("internalsiteslbl", locale)%>;
			var FAVORITES_SITES = <%= Messages.getString("favoriteslbl", locale)%>;
			var INSTALL_COMPLETE = '<%= Messages.getString("installComplete", locale)%>';
			var UNINSTALL_COMPLETE = '<%= Messages.getString("uninstallComplete", locale)%>';
			
			var featurelbl = '<%=Messages.getString("featurelbl", locale)%>';
			
			var YES = '<%=MessageLibrary.getString("Yes",locale)%>';
			var NO = '<%=MessageLibrary.getString("No",locale)%>';
			var RETRY = '<%=MessageLibrary.getString("Retry",locale)%>';
			
			var LANG = '<%=lang%>';
			
			dojo.addOnLoad (function (event) {
				init();
			});
			dijit.Tooltip.defaultPosition = ["above", "below"];
        </script>
        <script type="text/javascript" src="scripts/ProgressTooltip.js"></script>
        <script type="text/javascript" src="scripts/popupContextMenu.js"></script>
		<script type="text/javascript" src="scripts/readItemData.js"></script>
		<script type="text/javascript" src="scripts/updateActions.js"></script>
		<script type="text/javascript" src="scripts/localSites.js"></script>
    </head>
    <body class="jazz" onresize = "resizePage()">
    	<div dojoType="ibm.DynamicReadStore" jsId="sitesTreeStore" url="config?op=SiteInfo&filter=none"></div>
    	<div dojoType="ibm.DynamicTreeModel" store="sitesTreeStore" jsid="sitesTreeModel"></div>
		<!-- <div dojoType="ibm.DynamicTreeModel" store="sitesTreeStore" jsid="sitesTreeModel" showRoot="false"></div> -->
		
		<!-- Installed Features datastore -->
		<!-- <div dojoType="dojo.data.ItemFileReadStore" url="config?op=SiteInfo&link=local&checkUpdates=false" jsId="installedFeaturesStore"></div> -->
		
<%
	if (showBanner){
%>
		<!-- BEGIN IBM BANNER -->
		<div class="bannerContainer">
			<div class="headerContainer">
				<div class="headerCenter">
					<div class="headerLeft"></div>
					<div class="headerRight"></div>
				</div>
			</div>
			<div class="bannerContent">
				<div class="helpLogo"></div>
				<div class="helpTitle"><%= Messages.getString("lhuTitle", locale)%></div>
				<div class="ibmLogo"></div>
			</div>
		</div>
	    <!-- END IBM BANNER -->

		<table class="banneredTable" cellspacing="15">
		<tr style="height:30px;">
<%
	}else{
%>	
		<table class="mainTable" cellspacing="15">
		<tr style="height:50px;">
			<td><span class="mainTitle"><%= Messages.getString("lhuTitle", locale)%></span></td>
		
<%
	}
%>	
			<td align="right" colspan="3" style="position:relative"><table style="width:100%;" class="jazz_clear">
				<tr>
					<td align="right">
						<table>
							<tr>
								<td>
									<button id="addSiteButton" dojoType="dijit.form.Button" showLabel="false" iconClass="UA_Icons addSite" 
											style="alignment:right;" onclick="addSite()">
									</button>
								</td>
								<td>
									<button id="editSiteButton" dojoType="dijit.form.Button" showLabel="false" iconClass="UA_Icons editSite" 
											style="alignment:right;" onclick="editSite()">
									</button>
								</td>
								<td>
									<button id="removeSiteButton" dojoType="dijit.form.Button" showLabel="false" iconClass="UA_Icons removeSite" 
											style="alignment:right;" onclick="removeSite()">
									</button>
								</td>
								<td>
									<button dojoType="dijit.form.ToggleButton" 
										id="chkAutoUpdates"
										onChange="handleAutoUpdates(arguments[0]);" 
										iconClass="dijitCheckBoxIcon">
										 <%= Messages.getString("autoupdateslbl", locale) %>
									</button>
							
								</td>
								<td align="left">
									<span class="headerContent"></span>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			</td>
		</tr>
		<tr style="height:50px;">
			<td colspan="3">
				<p class="mainDescription">					
					<%=HelpSystem.getContext("com.ibm.ccl.help.webapp.war.updater.LHUPageDesc").getText()%>
				</p>
			</td>
		</tr>
		<tr style="height:400px;">	
			<td class="left">
				<div class="jazz_clear" dojoType="dijit.TitlePane"
						region="leading" 
						id="availableContentContainer"
						title="<%=Messages.getString("availableContent",locale)%>">
					<div id="innerPaneDiv">
						<div id="comboFilterPlace">
							<span style="position:relative;top:3px;"><%= Messages.getString("filterlbl", locale)%>:</span>
							<select dojoType="dijit.form.Select" jsId="siteSelector" id="siteSelector" name="siteSelector" onChange="siteSelected()" style="width:125px;">
							    <option value="<%= Messages.getString("allsiteslbl", locale).replaceAll("\"","")%>">
							        <%= Messages.getString("allsiteslbl", locale).replaceAll("\"","")%>
							    </option>
							    <option value="<%= Messages.getString("publicsiteslbl", locale).replaceAll("\"","")%>">
							        <%= Messages.getString("publicsiteslbl", locale).replaceAll("\"","")%>
							    </option>
							    <option value="<%= Messages.getString("internalsiteslbl", locale).replaceAll("\"","")%>">
							        <%= Messages.getString("internalsiteslbl", locale).replaceAll("\"","")%>
							    </option>
							    <option value="<%= Messages.getString("favoriteslbl", locale).replaceAll("\"","")%>">
							        <%= Messages.getString("favoriteslbl", locale).replaceAll("\"","")%>
							    </option>
							</select>
						
						</div>
						<table style="height:100%;">
								<tr>
								<td>
									<div id="treeContainer">
										<div dojoType="ibm.widget.CheckTree"
											model="sitesTreeModel"
											label="Site List" 
											labelAttr="title" 
											jsId="tree"
											id="tree">
										</div>
									</div>
								</td>
							</tr>
						</table>
					</div>
				</div>
			</td>

			<td class="center">			
				<table style="width:100%">
					<tr>
						<td>
							<button style="width:100%;" class="dijitButton" id="downloadButton" dojoType="dijit.form.Button" iconClass="UA_Icons installArrowIcon" onclick="handleInstallAction()">
								<%= Messages.getString("installlbl", locale)%>
							</button>
						</td>
					</tr>
					<tr>
						<td>
							<button  style="width:100%;" class="dijitButton" id="removeButton" dojoType="dijit.form.Button" iconClass="UA_Icons removeArrowIcon" onclick="handleRemoveAction()">
								<%= Messages.getString("removelbl", locale)%>
							</button>
						</td>
					</tr>
				</table>
			</td>
			
			<td class="right">
				<div class="fileHeader jazz_clear" dojoType="dijit.TitlePane" region="top" title="<%=Messages.getString("installedContent",locale)%>">	
					<div style="height:400px;" id="installedGridContainer" class="containerBox"></div>
				</div>
			</td>
		</tr>
		<tr style="height:50%;"><td>&nbsp;</td></tr>
		</table>





			
			<div dojoType="dijit.layout.ContentPane" 
					jsId="runinbckgrndPane" 
					id="runinbckgrndPane" 
					region="bottom" 
					splitter="false" 
					onClick="showStatusProgressbar()" 
					align="right">
				<table>
					<tr>
						<td>
							<div id="runinbckgrndStatusbar" style="text-align:left; padding:0 6px;width: 450px;" jsId="runinbckgrndStatusbar" dojoType="dijit.layout.ContentPane" parseOnLoad="true"></div>
						</td>
						<td>
							<div dojoType="dijit.ProgressBar" jsId="runinbckgrndProgressbar" id="runinbckgrndProgressbar" style="width: 180px;"></div>
						</td>
					</tr>
				</table>
			</div>

			</div>

		<!-- END MAIN CONTAINER -->
		
		<!-- BEGIN TOOLTIP DECLARATION -->
		<div dojoType="dijit.Tooltip" id="download_tooltip" connectId="downloadButton">
			<%= Messages.getString("downloadtooltip", locale)%>
		</div>
		<div dojoType="dijit.Tooltip" id="remove_tooltip" connectId="removeButton" position="below">
			<%= Messages.getString("removetooltip", locale)%>
		</div>
		
		<div dojoType="dijit.Tooltip" id="addSite_tooltip" connectId="addSiteButton">
			<%= Messages.getString("addSitetooltip", locale)%>
		</div>
		<div dojoType="dijit.Tooltip" id="editSite_tooltip" connectId="editSiteButton">
			<%= Messages.getString("editSitetooltip", locale)%>
		</div>
		<div dojoType="dijit.Tooltip" id="removeSite_tooltip" connectId="removeSiteButton">
			<%= Messages.getString("removeSitetooltip", locale)%>
		</div>
		<div dojoType="dijit.Tooltip" id="comboFilter_tooltip" connectId="comboFilter">
			<%= Messages.getString("combofiltertooltip", locale)%>
		</div>
		
		<div dojoType="dijit.Tooltip" id="update_tooltip" connectId="updateButton">
			<%= Messages.getString("updatetooltip", locale)%>
		</div>
		<div dojoType="dijit.Tooltip" id="chkAuto_tooltip" connectId="chkAutoUpdates">
			<%= Messages.getString("chkautotooltip", locale)%>
		</div>
		<!-- END TOOLTIP DECLARATION -->
		
		<!-- BEGIN CONTEXT MENU DECLARATION FOR TREE -->
		<ul dojoType="dijit.Menu" id="tree_menu" style="display: none;">
			<li dojoType="dijit.MenuItem" id="addSitePopup" iconClass="UA_Icons addSite" onClick="addSite()"><%= Messages.getString("addSiteTreePopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="editSitePopup" iconClass="UA_Icons editSite" onClick="editSitePopup()"><%= Messages.getString("editSiteTreePopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="removeSitePopup" iconClass="UA_Icons removeSite" onClick="removeSitePopup()"><%= Messages.getString("removeSiteTreePopuplbl", locale)%></li>
			<!-- <li dojoType="dijit.MenuItem" id="removeAllSitesPopup" iconClass="UA_Icons removeSite" onClick="removeSite()"><%= Messages.getString("removeAllSitesTreePopuplbl", locale)%></li> -->
			<li dojoType="dijit.MenuItem" id="installPopup" iconClass="UA_Icons installArrowIcon" onClick="handleSingleInstallAction()"><%= Messages.getString("installTreePopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="installAllPopup" iconClass="UA_Icons installArrowIcon" onClick="handleInstallAction()"><%= Messages.getString("installAllTreePopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="removeTreePopup" iconClass="UA_Icons removeArrowIcon" onClick="handleSingleRemoveTreeAction()"><%= Messages.getString("removeTreePopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="addFavoritePopup" iconClass="UA_Icons addFavorite" onClick="handleAddFavorite()"><%= Messages.getString("addFavoriteTreePopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="removeFavoritePopup" iconClass="UA_Icons removeFavorite" onClick="handleRemoveFavorite()"><%= Messages.getString("removeFavoriteTreePopuplbl", locale)%></li>
		</ul>
		<!-- END CONTEXT MENU DECLARATION FOR TREE -->
		
		<!-- BEGIN CONTEXT MENU DECLARATION FOR GRID -->
		<ul dojoType="dijit.Menu" id="grid_menu" style="display: none;">
			<li dojoType="dijit.MenuItem" id="removePopup" iconClass="UA_Icons removeArrowIcon" onClick="handleSingleRemoveAction()"><%= Messages.getString("removeGridPopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="removeAllPopup" iconClass="UA_Icons removeArrowIcon" onClick="handleRemoveAction()"><%= Messages.getString("removeAllGridPopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="updatePopup" iconClass="UA_Icons installUpdate" onClick="handleSingleUpdateAction()"><%= Messages.getString("updateGridPopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="updateAllPopup" iconClass="UA_Icons installUpdate" onClick="handleUpdateAction()"><%= Messages.getString("updateAllGridPopuplbl", locale)%></li>
		</ul>
		<!-- END CONTEXT MENU DECLARATION FOR GRID -->
		
		<!-- Dojo Pop-up dialog - ADD INTERNAL SITES -->
		<div dojoType="dijit.Dialog" id="optionsDialog" title="<%=optionsDialogTitle%>" style="overflow: hidden;">
			<table>
				<tr>
					<td style="text-align:left;"><label for="optionsDialog"><%= Messages.getString("siteTypelbl", locale)%>: </label></td>
					<td><input type="radio" id="localType" dojoType="dijit.form.RadioButton" name="localType" checked onMouseOver='handleLocalRadioMouseOver()'/><label for="localType"> <%= Messages.getString("locallbl", locale)%></label></td>
					<td><input type="radio" id="remoteType" dojoType="dijit.form.RadioButton" name="remoteType"/><label for="remoteType"> <%= Messages.getString("remotelbl", locale)%></label></td>
				</tr>
				<tr>
					<td style="text-align:left;"><br/><label for="sitename"><%= Messages.getString("namelbl", locale)%>:</label></td>
					<td colspan="4"><br/>
						<input 
							type="text" 
							id="sitename" 
							name="sitename" 
							style="width:300px"
							tooltipPosition="left"
							dojoType="dijit.form.ValidationTextBox" />
					</td>
				</tr>
				<!-- Padding -->
				<tr height="2px">
					<td colspan="6">
					</td>
				</tr>
				<tr>
					<td style="text-align:left;"><label for="internalFile">URL:</label></td>
					<td colspan="4">
						<!-- Call the check when a file has been selected -->
						<input 
							name="internalFile" 
							id="internalFile" 
							type="text" 
							style="width:300px" 
							dojoType="dijit.form.ValidationTextBox"
							required="true"
							tooltipPosition="right"
							invalidMessage=<%= Messages.getString("siteXMLErrorlbl", locale)%> />
					</td>
					<td align="left">
						<div dojoType="dijit.layout.ContentPane" parseOnLoad="true" jsId="localFilePane" id="localFilePane" style="width:80px; height: 26px; overflow: hidden; position:relative; top:4px;">
							<input 
								id="localFile" 
								name="localFile" 
								type="file" 
								dojoType="ibm.widget.FileInput" />
						</div>
					</td>
				</tr>
				<!-- Padding -->
				<tr height="2px">
					<td colspan="6">
					</td>
				</tr>
				<tr>
					<!-- Site.xml file error message -->
					<td colspan="6" style="text-align:center;">
						<div dojoType="dijit.layout.ContentPane" parseOnLoad="true" jsId="siteXMLWarning" id="siteXMLWarning" style="color:black; font-weight:bold;"></div>
					</td>
				</tr>
				<!-- Padding -->
				<tr height="2px">
					<td colspan="6">
					</td>
				</tr>
				<tr>
					<td>
						<div id="helpButton" style="alignment:left; display:none">
							<button dojoType="dijit.form.Button" showLabel="false" iconClass="UA_Icons help" style="alignment:left;" onclick="showIEFakepathHelp()"><%= Messages.getString("helplbl", locale)%></button>
						</div>
					</td>
					<!-- Ok and Cancel buttons -->
					<td colspan="6" style="text-align:center;">
						<button id="okSiteXMLUploadButton" dojoType="dijit.form.Button" type="submit" 
								onclick="addLocalEntryFromId()" disabled="true"><%= Messages.getString("oklbl", locale)%></button>
						<button id="cancelSiteXMLUploadButton" dojoType="dijit.form.Button" type="submit" onclick="handleLocalCancel()" iconClass="mailIconCancel"><%= Messages.getString("cancellbl", locale)%></button>
					</td>
				</tr>
			</table>
		</div>
		
		<div dojoType="dijit.Tooltip" connectId="remoteType">
			<table width="255px" cellpadding="0" cellspacing="0">
				<tr><td align="left"><b><%= Messages.getString("remotelbl", locale)%></b></td></tr>
				<tr><td align="left"><ul><li><%= Messages.getStringFormat("remoteTypeTooltip", "<b><font color='#000080'>site.xml</font></b>", locale)%></li></ul></td></tr>
			</table>
		</div>
		<!-- End Dojo dialog - ADD INTERNAL SITES -->
		
		<!-- Progress bar Modal Dialog -->
		<div dojoType="dijit.Dialog" id="progressDialog" title="<%=progressDialogTitle%>">
			<table width="530px">
				<tr><td><div id="statusbar" jsId="statusbar" dojoType="dijit.layout.ContentPane" style="overflow: hidden; white-space nowrap;" parseOnLoad="true"></div></td></tr>
				<tr><td><div dojoType="dijit.ProgressBar"  jsId="progressbar" id="progressbar"></div></td></tr> 
				<tr><td colspan="2" style="text-align:right;"><br/><br/>
					<div jsId="progressDlgButton" id="progressDlgButton" dojoType="dijit.layout.ContentPane" parseOnLoad="true"></div>
				</td></tr>
				<tr><td colspan="2" style="text-align:left;">
					<div id="chkShowStatusPane" dojoType="dijit.layout.ContentPane" style="visibility:hidden">
						<input id="chkShowStatus" type="checkbox" dojoType="dijit.form.CheckBox" name="" onclick="toggleShowProgressStatus(this)"/>
						<label for="chkShowStatus"> <%= Messages.getString("showstatuslbl", locale) %></label>
					</div>
				</td></tr>
				<tr><td colspan="2" style="text-align:left;">
					<div jsId="progressDlgStatus" id="progressDlgStatus" dojoType="dijit.layout.ContentPane" parseOnLoad="true"></div>
				</td></tr>
			</table>
		</div>
		<!-- <div id="statusbarTooltip" class="tip">This is a Javascript Tooltip</div> -->
		<!-- End Progress bar Modal Dialog  -->
		
		<!-- Error Message Modal Dialog -->
		<div dojoType="dijit.Dialog" id="errorMsgDialog" title="<%=errorMessageLabelDialogTitle%>">
			<table width="400px" style="font-size: 85%">
				<tr><td><div id="errorMsg" jsId="errorMsg" dojoType="dijit.layout.ContentPane" parseOnLoad="true"></div></td></tr>
				<tr><td colspan="2" style="text-align:right;"><br/>
					<button dojoType="dijit.form.Button" type="submit"><%= Messages.getString("oklbl", locale)%></button>
				</td></tr>
			</table>        
		</div>
		<!-- End Error Message Modal Dialog -->
		
		<!-- Warning Message Modal Dialog -->
		<div dojoType="dijit.Dialog" id="warningMsgDialog" title="<%=warningMessageLabelDialogTitle%>">
			<table width="400px" style="font-size: 85%">
				<tr><td><div id="warningMsg" jsId="warningMsg" dojoType="dijit.layout.ContentPane" parseOnLoad="true"></div></td></tr>
				<tr><td colspan="2" style="text-align:right;"><br/>
					<button id="warningMsgOKButton" dojoType="dijit.form.Button" type="submit" onclick="handleWarningDialogOK()"><%= Messages.getString("oklbl", locale)%></button>
					<button id="warningMsgCancelButton" dojoType="dijit.form.Button" onclick="dijit.byId('warningMsgDialog').hide()" iconClass="mailIconCancel"><%= Messages.getString("cancellbl", locale)%></button>
				</td></tr>
			</table>        
		</div>
		<!-- End Warning Message Modal Dialog -->
        
		<!-- Install Dependencies Modal Dialog -->
		<div dojoType="dijit.Dialog" id="installDependenciesDialog" title="<%=dependencyFoundDialogTitle%>">
			<table width="400px">
				<tr>
					<td style="text-align:left;"><div id="dependencyContent" jsId="dependencyContent" dojoType="dijit.layout.ContentPane" parseOnLoad="true"></div></td>
				</tr>
				<tr valign="top">
					<td style="text-align:right;"><br/><br/>
						<div jsId="dependencyDlgButton" id="dependencyDlgButton" dojoType="dijit.layout.ContentPane" parseOnLoad="true"></div>
					</td>
				</tr>
			</table>
		</div>
		<!-- End Install Dependencies Modal Dialog -->
		
	</body>
</html>
